<?
##################################################
##												##
## Author:       Andrey Brykin (Drunya)         ##
## Version:      0.7                            ##
## Project:      CMS                            ##
## package       CMS Fapos                      ##
## subpackege    Admin Panel module             ##
## copyright     ©Andrey Brykin 2010-2011       ##
##################################################


##################################################
##												##
## any partial or not partial extension         ##
## CMS Fapos,without the consent of the         ##
## author, is illegal                           ##
##################################################
## Любое распространение                        ##
## CMS Fapos или ее частей,                     ##
## без согласия автора, является не законным    ##
##################################################

include_once '../sys/boot.php';
include_once R . 'admin/inc/adm_boot.php';

$head = file_get_contents('template/header.php');

$page_title = 'Каталог файлов';

if (!isset($_GET['ac'])) $_GET['ac'] = 'index';
$permis = array('add', 'del', 'index', 'edit', 'off_home', 'on_home');
if (!in_array($_GET['ac'], $permis)) $_GET['ac'] = 'index';

switch($_GET['ac']) {
	case 'index':
		$content = index($page_title);
		break;
	case 'del':
		$content = delete();
		break;
	case 'add':
		$content = add();
		break;
	case 'edit':
		$content = edit();
		break;
	case 'on_home':
		$content = on_home();
		break;
	case 'off_home':
		$content = off_home();
		break;
	default:
		$content = index();
}
$head = str_replace('{TITLE}', $page_title, $head);
$head = str_replace('{NAVIGATION}', $page_title, $head);
$head = str_replace('{NAVIGATIONL}', '', $head);
echo $head;
 ?>
<div class="fps-win">
Внимание! При удалении категории или раздела, удаляються все материалы, относящиеся к данному разделу или категории.<br />
Пожалуста, будьте осторожны.<br /><br />

Каждая категория должна наследоваться от раздела, по этому, прежде чем создавать категорию, создайте раздел.
</div>
<?php
echo $content;



function index(&$page_title) {
	global $FpsDB;
	$page_title = 'Каталог файлов - Редактирование категорий';
	$cat_selector = '<select style="width:130px;" name="id_sec" id="cat_secId">';
	$all_sections = $FpsDB->select('loads_sections', DB_ALL, array('cond' => array('class' => 'section')));
	foreach ($all_sections as $result) {
		$cat_selector .= '<option value="' . $result['id'] . '">' . h($result['title']) . '</option>';
	}
	$cat_selector .= '</select>';
	
	$html = '';
	if (!empty($_SESSION['errors'])) {
		$html .= '<ul style="color:red;list-style-type:none;">' . $_SESSION['errors'] . '</ul>';
		unset($_SESSION['errors']);
	}
	
	$html .= '<table width="100%"><tr><td>
		<input type="button" name="add" value="Добавить раздел" onClick="wiOpen(\'sec\');" /></td>';
	
	$html .= '<td align="right">
				<div align="right" class="topButtonL" id="cat_view"><input type="button" name="add" value="Добавить категорию" onClick="wiOpen(\'cat\');" /></div></td></tr></table>
				
		<div id="cat_dWin" class="fps-win" style="position:absolute;top:200px;left:40%;display:none">
		<div class="xw-tl"><div class="xw-tr"><div class="xw-tc xw-tsps"></div>
		</div></div><div class="xw-ml"><div class="xw-mr"><div align="center" class="xw-mc">
		<form action="load_cat.php?ac=add" method="POST">
		
		<div class="form-item2">
		Родительский раздел:<br />
		' . $cat_selector . '
		<div style="clear:both;"></div></div>
		
		<div class="form-item2">
		Имя категории:<br />
		<input type="hidden" name="type" value="cat" />
		<input type="text" style="width:130px" name="title" />
		<div style="clear:both;"></div></div>
		
		<div class="form-item2 center">
		<input type="submit" name="send" value="Сохранить" />
		<input type="button" onClick="hideWin(\'cat\')" value="Отмена" />
		<div style="clear:both;"></div></div>
		</form>
		</div></div></div><div class="xw-bl"><div class="xw-br"><div class="xw-bc">
		<div class="xw-footer"></div></div></div></div>
		</div>
		
		<div id="sec_dWin" class="fps-win" style="position:absolute;top:200px;left:40%;display:none">
		<div class="xw-tl"><div class="xw-tr"><div class="xw-tc xw-tsps"></div>
		</div></div><div class="xw-ml"><div class="xw-mr"><div align="center" class="xw-mc">
		<form action="load_cat.php?ac=add" method="POST">
		
		<div class="form-item2">
		Имя раздела:<br />
		<input type="hidden" name="type" value="section" />
		<input type="text" name="title" />
		<div style="clear:both;"></div></div>
		
		<div class="form-item2 center">
		<input type="submit" name="send" value="Сохранить" />
		<input type="button" onClick="hideWin(\'sec\')" value="Отмена" />
		<div style="clear:both;"></div></div>
		</form>
		</div></div></div><div class="xw-bl"><div class="xw-br"><div class="xw-bc">
		<div class="xw-footer"></div></div></div></div>
		</div>';
	
	if (count($all_sections) > 0) {
		$html .= '<div class="cat_list_container">';
		
		foreach ($all_sections as $result) {
			$html .= '<div class="section"><b>' . h($result['title']) 
				  . '</b><div class="tools"><a href="javascript://" onClick="wiOpen(\'' . $result['id'] . '_section\');">' 
				  . '<img src="template/img/edit_16x16.png"  /></a>&nbsp;<a href="?ac=del&id=' . $result['id'] 
				  . '" onClick="return _confirm();"><img src="template/img/del.png"  /></a>';
				  
			if ($result['view_on_home'] == 1) {
				$html .=  '<a href="?ac=off_home&section&id=' . $result['id'] 
					  . '" onClick="return _confirm();"><img src="template/img/round_ok.png"  /></a>';
			} else {
				$html .=  '<a href="?ac=on_home&&section&id=' . $result['id'] 
					  . '" onClick="return _confirm();"><img src="template/img/round_not_ok.png"  /></a>';
			}
				  
			$html .= '<div id="' . $result['id'] . '_section_dWin" class="fps-win" style="position:absolute;top:200px;left:40%;display:none">
				<div class="xw-tl"><div class="xw-tr"><div class="xw-tc xw-tsps"></div>
				</div></div><div class="xw-ml"><div class="xw-mr"><div align="center" class="xw-mc">
				<form action="load_cat.php?ac=edit&id=' . $result['id'] . '" method="POST">
				
				<div class="form-item2">
				Имя раздела:<br />
				<input type="hidden" name="type" value="section" />
				<input type="text" name="title" value="' . $result['title'] . '" />
				<div style="clear:both;"></div></div>
				
				<div class="form-item2 center">
				<input type="submit" name="send" value="Сохранить" />
				<input type="button" onClick="hideWin(\'' . $result['id'] . '_section\')" value="Отмена" />
				<div style="clear:both;"></div></div>
				</form>
				</div></div></div><div class="xw-bl"><div class="xw-br"><div class="xw-bc">
				<div class="xw-footer"></div></div></div></div>
				</div>';
			$html .= '</div></div>';
			$queryCat = mysql_query("SELECT a.*, COUNT(b.`id`) as cnt FROM `loads_sections` a LEFT JOIN `loads` b ON b.`category_id`=a.`id`  WHERE a.`section_id`='" . $result['id'] . "' GROUP BY a.`id`");
			$queryCat = $FpsDB->query("SELECT a.*, COUNT(b.`id`) as cnt FROM `" . $FpsDB->getFullTableName('loads_sections') . "` a 
				LEFT JOIN `" . $FpsDB->getFullTableName('loads') . "` b ON b.`category_id`=a.`id` WHERE a.`section_id`='" . $result['id'] . "' GROUP BY a.`id`");
			
			if  (count($queryCat)) {
				foreach ($queryCat as $cat) {
					$cat_selector = '<select style="width:130px;" name="id_sec" id="cat_secId">';
					foreach ($all_sections as $selector_result) {
						if ($cat['section_id'] == $selector_result['id']) {
							$cat_selector .= '<option value="' . $selector_result['id'] . '" selected="selected">' . $selector_result['title'] . '</option>';
						} else {
							$cat_selector .= '<option value="' . $selector_result['id'] . '">' . $selector_result['title'] . '</option>';
						}
					}
					$cat_selector .= '</select>';
						
					$html .= '<div class="category_row"><div class="category"><b>' . h($cat['title']) . '</b>( ' . $cat['cnt'] 
						  . ' )<div class="tools"><a href="javascript://" onClick="wiOpen(\'' . $cat['id'] . '_cat\');">'
						  . '<img src="template/img/edit_16x16.png"  /></a>&nbsp;<a href="?ac=del&id=' . $cat['id'] 
						  . '" onClick="return _confirm();"><img src="template/img/del.png"  /></a>';
						  
						if ($cat['view_on_home'] == 1) {
							$html .=  '<a href="?ac=off_home&id=' . $cat['id'] . '" onClick="return _confirm();">'
								  . '<img title="На Главной" src="template/img/round_ok.png" /></a>';
						} else {
							$html .=  '<a href="?ac=on_home&id=' . $cat['id'] . '" onClick="return _confirm();">'
								  . '<img title="На Главной" src="template/img/round_not_ok.png" /></a>';
						}
						  
					$html .= '<div id="' . $cat['id'] . '_cat_dWin" class="fps-win" style="position:absolute;top:200px;left:40%;display:none">
						<div class="xw-tl"><div class="xw-tr"><div class="xw-tc xw-tsps"></div>
						</div></div><div class="xw-ml"><div class="xw-mr"><div align="center" class="xw-mc">
						<form action="load_cat.php?ac=edit&id=' . $cat['id'] . '" method="POST">
						
						<div class="form-item2">
						Родительский раздел:<br />
						' . $cat_selector . '
						<div style="clear:both;"></div></div>
						
						<div class="form-item2">
						Заголовок:<br />
						<input type="hidden" name="type" value="cat" />
						<input type="text" style="width:130px" name="title" value="' . $cat['title'] . '" />
						<div style="clear:both;"></div></div>
						
						<div class="form-item2 center">
						<input type="submit" name="send" value="Сохранить" />
						<input type="button" onClick="hideWin(\'' . $cat['id'] . '_cat\')" value="Отмена" />
						<div style="clear:both;"></div></div>
						</form>
						</div></div></div><div class="xw-bl"><div class="xw-br"><div class="xw-bc">
						<div class="xw-footer"></div></div></div></div>
						</div>';	  
					$html .= '</div></div></div>';
				}
			} else {
				$html .= '<div><div>Пусто</div></div>';
			}
			
		}
		$html .= '</div>';
	} else {
		$html .= 'Пока ничего нет :(';
	}
	return $html;
}




function edit() {
	global $FpsDB;
	if (!isset($_POST['type']) || !isset($_GET['id'])) redirect('/admin/load_cat.php');
	if (!isset($_POST['title'])) redirect('/admin/load_cat.php');
	$id = intval($_GET['id']);
	if ($id < 1) redirect('/admin/load_cat.php');
	$error = '';

	if (empty($_POST['type'])) $error .= '<li>Произошла непредвиденная ошибка. Повторите попытку.</li>';
	if (empty($_POST['title'])) $error .= '<li>Не заполненно поле "Заголовок".</li>';
	
	/* IF EDIT CATEGORY */
	if ($_POST['type'] == 'cat') {
		if (empty($_POST['id_sec']) || intval($_POST['id_sec']) < 1) $error .= '<li>Не указан родительский раздел.</li>';
		$section_id = intval($_POST['id_sec']);
		$changed_cat = $FpsDB->select('loads_sections', DB_FIRST, array('cond' => array('id' => $id)));
		if (empty($changed_cat)) $error .= '<li>Редактируемая запись не найдена.</li>';
		/* we must know changed parent section or not changed her. And check her  */
		if ($changed_cat[0]['section_id'] != $_POST['id_sec']) {
			$target_section = $FpsDB->select('loads_sections', DB_FIRST, array('cond' => array('id' => $section_id, 'class' => 'section')));
			if (empty($target_section)) $error .= '<li>Родительский раздел не найден.</li>';
		}
		/* if errors exists */
		if (!empty($error)) {
			$_SESSION['errors'] = $error;
			redirect('/admin/load_cat.php');
		}
		/* prepare data to save */
		$data = array('id' => $id, 'title' => substr($_POST['title'], 0, 100));
		if (!empty($target_section)) {
			$data['section_id'] = $section_id;
			$FpsDB->save('loads', array('section_id' => $section_id), array('category_id' => $id));
		}
		$FpsDB->save('loads_sections', $data);
		
	/* IF EDIT SECTION */	
	} else if ($_POST['type'] == 'section') {
		$changed_cat = $FpsDB->select('loads_sections', DB_FIRST, array('cond' => array('id' => $id)));
		if (empty($changed_cat)) $error .= '<li>Редактируемая запись не найдена.</li>';
		/* if errors exists */
		if (!empty($error)) {
			$_SESSION['errors'] = $error;
			redirect('/admin/load_cat.php');
		}
		/* prepare data to save */
		$data = array('id' => $id, 'title' => substr($_POST['title'], 0, 100));
		$FpsDB->save('loads_sections', $data);
	}
	redirect('/admin/load_cat.php');;
}



function add() {
	global $FpsDB;
	if (empty($_POST['type'])) header ('Location: /' . R . 'admin/loads_cat.php');
	if (empty($_POST['title'])) header ('Location: /' . R . 'admin/loads_cat.php');
	$title = mysql_real_escape_string($_POST['title']);
	
	if ($_POST['type'] == 'section' && $title != null) {
		$FpsDB->save('loads_sections', array(
			'class' => 'section',
			'title' => $title,
		));
	} elseif ($_POST['type'] == 'cat' && $title != null) {
		$FpsDB->save('loads_sections', array(
			'class' => 'category',
			'title' => $title,
			'section_id' => $_POST['id_sec'],
		));
	}
	redirect('/admin/load_cat.php');
	
}


function delete() {	
	global $FpsDB;
	if (empty($_GET['id']) || !is_numeric($_GET['id']))  redirect('/admin/load_cat.php');
	
	$type = $FpsDB->select('loads_sections', DB_FIRST, array('cond' => array('id' => $_GET['id'])));
	if (count($type) < 1)  redirect('/admin/load_cat.php');
	$type = $type[0]['class'];
	
	if ($type == 'category') {
		delete_category($_GET['id']);
	} elseif ($type == 'section') {
		$categories = $FpsDB->select('loads_sections', DB_ALL, array('cond' => array('section_id' => $_GET['id'], 'class' => 'category')));
		if (count($categories) > 0) {
			foreach ($categories as $category) {
				delete_category($category['id']);
			}
		}
		mysql_query("DELETE FROM `" . $FpsDB->getFullTableName('loads_sections') . "` WHERE `id`='{$_GET['id']}' AND `class` = 'section'");
	}
	 redirect('/admin/load_cat.php');
}


function delete_category($id) {
	global $FpsDB;
	$loads = $FpsDB->select('loads', DB_ALL, array('cond' => array('category_id' => $id)));
	if (count($loads) > 0) {
		foreach ($loads as $load) {
			mysql_query("DELETE FROM `" . $FpsDB->getFullTableName('loads') . "` WHERE `id`='{$load['id']}'");
			@unlink(R . 'sys/files/loads/' . $load['download']);
		}
	}
	mysql_query("DELETE FROM `" . $FpsDB->getFullTableName('loads_sections') . "` WHERE `id`='{$id}'");
	return true;
}



function on_home() {
	global $FpsDB;
	if (empty($_GET['id']) || !is_numeric($_GET['id']))  redirect('/admin/load_cat.php');
	$id = intval($_GET['id']);
	if (isset($_GET['section'])) {
		$FpsDB->save('loads_sections', array('id' => $id, 'view_on_home' => 1));
		$FpsDB->save('loads_sections', array('view_on_home' => 1), array('section_id' => $id));
		$FpsDB->save('loads', array('view_on_home' => 1), array('section_id' => $id));
	} else {
		$FpsDB->save('loads_sections', array('id' => $id, 'view_on_home' => 1));
		$FpsDB->save('loads', array('view_on_home' => 1), array('category_id' => $id));
	}
	redirect('/admin/load_cat.php');
}



function off_home() {
	global $FpsDB;
	if (empty($_GET['id']) || !is_numeric($_GET['id']))  redirect('/admin/load_cat.php');
	$id = intval($_GET['id']);
	if (isset($_GET['section'])) {
		$FpsDB->save('loads_sections', array('id' => $id, 'view_on_home' => 0));
		$FpsDB->save('loads_sections', array('view_on_home' => 0), array('section_id' => $id));
		$FpsDB->save('loads', array('view_on_home' => 0), array('section_id' => $id));
	} else {
		$FpsDB->save('loads_sections', array('id' => $id, 'view_on_home' => 0));
		$FpsDB->save('loads', array('view_on_home' => 0), array('category_id' => $id));
	}
	redirect('/admin/load_cat.php');
}



include_once 'template/footer.php';
?>