<?
##################################################
##												##
## Author:       Andrey Brykin (Drunya)         ##
## Version:      0.7                            ##
## Project:      CMS                            ##
## package       CMS Fapos                      ##
## subpackege    Admin Panel module             ##
## copyright     ©Andrey Brykin 2010-2011       ##
##################################################


##################################################
##												##
## any partial or not partial extension         ##
## CMS Fapos,without the consent of the         ##
## author, is illegal                           ##
##################################################
## Любое распространение                        ##
## CMS Fapos или ее частей,                     ##
## без согласия автора, является не законным    ##
##################################################

include_once '../sys/boot.php';
include_once R . 'admin/inc/adm_boot.php';
$page_title = 'Новости - Настройки';


$TempSet = $set;
if (isset($_POST['send'])) {
	/* GENERAL */
	$TempSet['news']['title'] = $_POST['title'];
	$TempSet['news']['description'] = $_POST['description'];
	$TempSet['news']['max_lenght'] = $_POST['max_lenght'];
	$TempSet['news']['announce_lenght'] = $_POST['announce_lenght'];
	$TempSet['news']['per_page'] = $_POST['per_page'];
	$TempSet['news']['active'] = $_POST['active'];
	/* COMMENTS */
	$TempSet['news']['comment_lenght'] = $_POST['comment_lenght'];
	$TempSet['news']['comment_per_page'] = $_POST['comment_per_page'];
	/* FIELDS */
	$TempSet['news']['fields'] = array();
	if (!empty($_POST['fields']['description'])) $TempSet['news']['fields'][] = 'description';
	if (!empty($_POST['fields']['tags'])) $TempSet['news']['fields'][] = 'tags';
	if (!empty($_POST['fields']['sourse'])) $TempSet['news']['fields'][] = 'sourse';
	if (!empty($_POST['fields']['sourse_email'])) $TempSet['news']['fields'][] = 'sourse_email';
	if (!empty($_POST['fields']['sourse_site'])) $TempSet['news']['fields'][] = 'sourse_site';
	
	//save settings
	Config::write($TempSet);
	//clean cache
	$Cache = new Cache;
	$Cache->clean(CACHE_MATCHING_ANY_TAG, array('module_news'));

	redirect("/admin/settings_news.php");
}
$head = file_get_contents('template/header.php');
$head = str_replace('{TITLE}', $page_title, $head);
$head = str_replace('{NAVIGATION}', $page_title, $head);
$head = str_replace('{NAVIGATIONL}', '', $head);
	
echo $head ?>


<form method="POST" action="settings_news.php">
<table class="settings-tb">

<tr><td>Заголовок:<br></td><td>
<input type="text" name="title" value="<?php echo $set['news']['title'] ?>"><br></td></tr>

<tr><td>Описание:<br></td><td>
<input type="text" name="description" value="<?php echo $set['news']['description'] ?>"><br></td></tr>

<tr><td>Максимальный размер новости:<br></td><td>
<input type="text" name="max_lenght" value="<?php echo $set['news']['max_lenght'] ?>">&nbsp;<span class="comment">Символов</span><br></td></tr>

<tr><td>Максимальный размер анонса к новости:<br></td><td>
<input type="text" name="announce_lenght" value="<?php echo $set['news']['announce_lenght'] ?>">&nbsp;<span class="comment">Символов</span><br></td></tr>

<tr><td>Новостей на страницу:<br></td><td>
<input type="text" name="per_page" value="<?php echo $set['news']['per_page'] ?>"><br></td></tr>

<!--#################### FIELDS ###################-->
<tr class="small"><td colspan="2"><span class="comment">Поля обязательные для заполнения</span></td></tr>

<tr class="small"><td>Категория:<br></td><td>
<input type="checkbox" name="comment_active" value="1" checked="checked" disabled="disabled" /></td></tr>

<tr class="small"><td>Заголовок:<br></td><td>
<input type="checkbox" name="comment_active" value="1" checked="checked" disabled="disabled" /></td></tr>

<tr class="small"><td>Текст материала:<br></td><td>
<input type="checkbox" name="comment_active" value="1" checked="checked" disabled="disabled" /></td></tr>

<tr class="small"><td>Краткое описание:<br></td><td>
<input type="checkbox" name="fields[description]" value="1" <?php if (in_array('description', $set['news']['fields'])) echo 'checked="checked"' ?>></td></tr>

<tr class="small"><td>Теги:<br></td><td>
<input type="checkbox" name="fields[tags]" value="1" <?php if (in_array('tags', $set['news']['fields'])) echo 'checked="checked"' ?>></td></tr>

<tr class="small"><td>Источник(автор):<br></td><td>
<input type="checkbox" name="fields[sourse]" value="1" <?php if (in_array('sourse', $set['news']['fields'])) echo 'checked="checked"' ?>></td></tr>

<tr class="small"><td>E-Mail автора:<br></td><td>
<input type="checkbox" name="fields[sourse_email]" value="1" <?php if (in_array('sourse_email', $set['news']['fields'])) echo 'checked="checked"' ?>></td></tr>

<tr class="small"><td>Сайт автора:<br></td><td>
<input type="checkbox" name="fields[sourse_site]" value="1" <?php if (in_array('sourse_site', $set['news']['fields'])) echo 'checked="checked"' ?>></td></tr>




<!--#################### END FIELDS ###################-->

<!--#################### COMMENTS ###################-->

<tr><td>Максимальный размер комментария:<br></td><td>
<input type="text" name="comment_lenght" value="<?php echo $set['news']['comment_lenght'] ?>">&nbsp;<span class="comment">Символов</span><br></td></tr>

<tr><td>Комментариев на страницу:<br></td><td>
<input type="text" name="comment_per_page" value="<?php echo $set['news']['comment_per_page'] ?>"><br></td></tr>
<!--#################### END COMMENTS ###################-->

<tr><td>Статус :<br />
<span class="comment">(Активирован/Деактивирован)</span></td>
<td>
<select name="active">
<option value="1" <?php if (Config::read('active', 'news') && Config::read('active', 'news') == 1) echo 'selected="selected"' ?>>Активирован</option>
<option value="0"<?php if (!Config::read('active', 'news') || Config::read('active', 'news') == 0) echo 'selected="selected"' ?>>Деактивирован</option>
</select>
</td></tr>


<tr><td colspan="2" align="center"><input type="submit" name="send" value="Сохранить"></td></tr>
</form>

</table>


<?php
include_once 'template/footer.php';
?>