<?
##################################################
##												##
## Author:       Andrey Brykin (Drunya)         ##
## Version:      0.7                            ##
## Project:      CMS                            ##
## package       CMS Fapos                      ##
## subpackege    Admin Panel module             ##
## copyright     ©Andrey Brykin 2010-2011       ##
##################################################


##################################################
##												##
## any partial or not partial extension         ##
## CMS Fapos,without the consent of the         ##
## author, is illegal                           ##
##################################################
## Любое распространение                        ##
## CMS Fapos или ее частей,                     ##
## без согласия автора, является не законным    ##
##################################################

include_once '../sys/boot.php';
include_once R . 'admin/inc/adm_boot.php';
$page_title = 'Пользователи - настройки';

$TempSet = $set;
//pr($set);
if (isset($_POST['send'])) {

	$TempSet['users']['title'] = $_POST['title'];
	$TempSet['users']['active'] = $_POST['active'];
	$TempSet['users']['max_avatar_size'] = $_POST['max_avatar_size'];
	$TempSet['users']['users_per_page'] = $_POST['users_per_page'];
	$TempSet['users']['max_mail_lenght'] = $_POST['max_mail_lenght'];
	$TempSet['users']['max_count_mess'] = $_POST['max_count_mess'];
	$TempSet['users']['max_message_lenght'] = $_POST['max_message_lenght'];
	$TempSet['users']['rating_comment_lenght'] = $_POST['rating_comment_lenght'];
	
	Config::write($TempSet);
	redirect("/admin/settings_users.php");
}


$header = file_get_contents('template/header.php');
$header = str_replace('{TITLE}', $page_title, $header);
$header = str_replace('{NAVIGATION}', $page_title, $header);
$header = str_replace('{NAVIGATIONL}', '', $header);
echo $header;
?>


<form method="POST" action="settings_users.php">
<table class="settings-tb">

<tr><td><b>Заголовок модуля:</b></td>
<td><input type="text" name="title" value="<?php echo $set['users']['title'] ?>"></td></tr>

<tr><td><b>Максимальный размер аватара:</b><br>
<span class="comment">Это картинка, которая отображаеться на форуме и в профиле пользователя</span></td>
<td><input type="text" name="max_avatar_size" value="<?php echo $set['users']['max_avatar_size'] ?>">&nbsp;<span class="comment">Байт</span></td></tr>

<tr><td><b>Количество пользователей на одну страницу:</b><br>
<span class="comment">в списке зарегистрированных пользователей</span><br></td>
<td><input type="text" name="users_per_page" value="<?php echo $set['users']['users_per_page'] ?>"></td></tr>


<tr><td><b>Максимальный размер письма:</b><br>
<span class="comment">которое один пользователь форума может написать другому</span><br></td>
<td><input type="text" name="max_mail_lenght" value="<?php echo $set['users']['max_mail_lenght'] ?>">&nbsp;<span class="comment">Символов</span></td></tr>

<tr><td><b>Максимальное количество личных сообщений:</b><br>
<span class="comment">в папках "Входящие" и "Исходящие"</span><br></td>
<td><input type="text" name="max_count_mess" value="<?php echo $set['users']['max_count_mess'] ?>"></td></tr>

<tr><td><b>Максимальная длина личного сообщения:</b><br></td>
<td><input type="text" name="max_message_lenght" value="<?php echo $set['users']['max_message_lenght'] ?>">&nbsp;<span class="comment">Символов</span></td></tr>

<tr><td><b>Максимальная длина комментария к голосу:</b><br></td>
<td><input type="text" name="rating_comment_lenght" value="<?php echo $set['users']['rating_comment_lenght'] ?>">&nbsp;<span class="comment">Символов</span></td></tr>


<tr><td><b>Статус :</b><br />
<span class="comment">Активирован/Деактивирован</span></td>
<td>
<select name="active">
<option value="1" <?php if (Config::read('active', 'users') && Config::read('active', 'users') == 1) echo 'selected="selected"' ?>>Активирован</option>
<option value="0"<?php if (!Config::read('active', 'users') || Config::read('active', 'users') == 0) echo 'selected="selected"' ?>>Деактивирован</option>
</select>

</td></tr>

<tr><td colspan="2" align="center"><input type="submit" name="send" value="Сохранить"><br></td></tr>

</table>
</form>




<?php
include_once 'template/footer.php';
?>