<?php
##################################################
##												##
## Author:       Andrey Brykin (Drunya)         ##
## Version:      0.7                            ##
## Project:      CMS                            ##
## package       CMS Fapos                      ##
## subpackege    Admin module                   ##
## copyright     ©Andrey Brykin 2010-2011       ##
##################################################


##################################################
##												##
## any partial or not partial extension         ##
## CMS Fapos,without the consent of the         ##
## author, is illegal                           ##
##################################################
## Любое распространение                        ##
## CMS Fapos или ее частей,                     ##
## без согласия автора, является не законным    ##
##################################################
include_once '../sys/boot.php';
include_once R . 'admin/inc/adm_boot.php';


$date = (!empty($_GET['date'])) ? $_GET['date'] : time();
$_date = mysql_real_escape_string(date("Y-m-d", $date));
if ($_date == date("Y-m-d")) {
	if (file_exists(R . 'sys/logs/counter/' . $_date . '.dat')) {
		$stats[0] = unserialize(file_get_contents(R . 'sys/logs/counter/' . $_date . '.dat'));
	}
} else {
	$stats = $FpsDB->query("SELECT * FROM `" . $FpsDB->getFullTableName('statistics') . "` WHERE `date` = '" . $_date . "'");
}


if (!empty($stats)) {
	$t_views = 0;
	$t_hosts = $stats[0]['ips'];
	$t_visitors = 0;
	$t_views = $stats[0]['views'];
	$t_visitors = $stats[0]['cookie'];
	$views_on_visit = number_format(($t_views / $t_visitors), 1);
	$bot_views = $stats[0]['yandex_bot_views'] + $stats[0]['google_bot_views'] + $stats[0]['other_bot_views'];
}


$header = file_get_contents('template/header.php');
$header = str_replace('{TITLE}', 'Статистика', $header);
$header = str_replace('{NAVIGATION}', 'Статистика', $header);
$header = str_replace('{NAVIGATIONL}', '', $header);
echo $header;
?>


<table width="100%">
	<tr>
	<td><a href="statistic.php?date=<?php echo $date - 168000 ?>"><?php echo '&laquo; ' . date("Y-m-d", $date - 168000) ?></a></td>
	<td><a href="statistic.php?date=<?php echo $date - 84000 ?>"><?php echo '&laquo; ' . date("Y-m-d", $date - 84000) ?></a></td>
	<td align="center"><a href="statistic.php?date=<?php echo $date ?>"><span style="color:#8BB35B;"><?php echo date("Y-m-d", $date) ?></span></a></td>
	<td align="right" width="20%"> 
	<?php  if (($date + 84000) < time()): ?>
	<a href="statistic.php?date=<?php echo $date + 84000 ?>"><?php echo date("Y-m-d", $date + 84000) . ' &raquo;' ?></a>
	<?php endif; ?>
	</td>
	<td width="20%" align="right"> 
	<?php  if (($date + 168000) < time()): ?>
	<a href="statistic.php?date=<?php echo $date + 168000 ?>"><?php echo date("Y-m-d", $date + 168000) . ' &raquo;' ?></a>
	<?php endif; ?>
	</td>
	</tr>
</table>

<hr>
<table class="lines"  cellspacing="0px">
	<?php if (!empty($stats)): ?>
	<tr>
		<td>Просмотров</td>
		<td><?php echo $t_views ?></td>
	</tr>
	<tr>
		<td>Хостов</td>
		<td><?php echo $t_hosts ?></td>
	</tr>
	<tr>
		<td>Посетителей</td>
		<td><?php echo $t_visitors ?></td>
	</tr>
	<tr>
		<td>Просмотров на посетителя</td>
		<td><?php echo $views_on_visit ?></td>
	</tr>
	<tr>
		<td>Просмотров роботами</td>
		<td><?php echo $bot_views ?></td>
	</tr>
	<tr>
		<td>Робот ПС google</td>
		<td><?php echo $stats[0]['google_bot_views'] ?></td>
	</tr>
	<tr>
		<td>Робот ПС yandex</td>
		<td><?php echo $stats[0]['yandex_bot_views'] ?></td>
	</tr>
	<tr>
		<td>Переходы с других сайтов</td>
		<td><?php echo $stats[0]['other_site_visits'] ?></td>
	</tr>
	<?php else: ?>
	
	<tr>
		<td align="center" colspan="3">Записей нет</td>
	</tr>
	
	<?php endif; ?>
</table>




<?php 
include_once 'template/footer.php';
?>
