<?
##################################################
##												##
## Author:       Andrey Brykin (Drunya)         ##
## Version:      1.0                            ##
## Project:      CMS                            ##
## package       CMS Fapos                      ##
## subpackege    Admin Panel module             ##
## copyright     ©Andrey Brykin 2010-2011       ##
##################################################


##################################################
##												##
## any partial or not partial extension         ##
## CMS Fapos,without the consent of the         ##
## author, is illegal                           ##
##################################################
## Любое распространение                        ##
## CMS Fapos или ее частей,                     ##
## без согласия автора, является не законным    ##
##################################################

include_once '../sys/boot.php';
include_once R . 'admin/inc/adm_boot.php';

$head = file_get_contents('template/header.php');
$pageTitle = 'Управление дизайном - редактор шаблонов';
$head = str_replace('{TITLE}', $pageTitle, $head);
$head = str_replace('{NAVIGATION}', $pageTitle, $head);
$head = str_replace('{NAVIGATIONL}', '', $head);
	
	
//protected joporuki	
$uses_t = array('addnewuserform', 'main', 'edituserform', 'loginform', 'baned', 'showuserinfo');	
if (empty($_GET['t']) || !in_array($_GET['t'], $uses_t)) {
	$_GET['t'] = 'main';
}
	
if(isset($_POST['send']) && isset($_POST['templ'])) {
	$template_file = R.'template/' . Config::read('template') . '/html/users/'.$_GET['t'] . '.html';
	if (!is_file($template_file . '.stand')) {
		copy($template_file, $template_file . '.stand');
	}
	$file = fopen($template_file, 'w+');
	if(fputs($file, $_POST['templ'])) {
		$mess = '<span style="color:green;">Шаблон успешно сохранен!</span>';
	} else {
		$mess = '<span style="color:red;">Не удалось сохранить шаблон</span>';
	}
	fclose($file);
}

echo $head;


$template_path = R . 'template/' . Config::read('template') . '/html/%s/'.$_GET['t'] . '.html';
if (file_exists(sprintf($template_path, 'users'))) {
	$template = file_get_contents(sprintf($template_path, 'users'));
} else {
	$template = file_get_contents(sprintf($template_path, 'default'));
}


echo '<form action="'.$_SERVER['REQUEST_URI'].'" method="POST">';

?>








<table border="0" cellpadding="1" cellspacing="0" width="100%">
	<tr>
		<td class="dis-list" rowspan="3">
			<div class="tmplsuDiv">

				<div class="tbn">Пользователи</div>
				<div id="mItem81"  class="tba2"><a href="users_dis.php?t=main" class="dis-item">Общий вид</a></div>
				<div id="mItem81"  class="tba"><a href="users_dis.php?t=addnewuserform" class="dis-item">Форма регистрации</a></div>
				<div id="mItem82"  class="tba"><a href="users_dis.php?t=edituserform" class="dis-item">Форма редактирования</a></div>
				<div id="mItem83"  class="tba4"><a href="users_dis.php?t=loginform" class="dis-item">Форма входа</a></div>
				<div id="mItem83"  class="tba4"><a href="users_dis.php?t=baned" class="dis-item">Страница для забаненых</a></div>
				<div id="mItem83"  class="tba4"><a href="users_dis.php?t=showuserinfo" class="dis-item">Страница профайла</a></div>

			</div>
		</td>

		<td colspan="2" valign="top">
			<div style="float:right">

<div>
<a href="set_default_dis.php" onClick="return confirm('Система востановит стандартный шаблон. Вы уверенны?')">Восстановить стандартный шаблон</a>
&nbsp;|&nbsp;
<a href="backup_dis.php" onClick="return confirm('Система сделает резервную копию шаблона. Вы уверенны?')">Резервная копия шаблона</a>
</div>
			
			</div>
		</td>
	</tr>

	<tr>
		<td valign="bottom">
			<div id="eMessage" style="padding:3px;" class="myBdTop myBdRight myBdBottom myBdLeft" align="center">
<?
if(isset($mess) && $mess != NULL) {
	echo '<b>'.$mess.'</b>';
} else {
	echo 'Измените шаблон и нажмите кнопку "Сохранить"';
}
?>

			</div>
		</td>
	</tr>
</table>




<div class="dis-textarea">
<textarea title="Код шаблона" style="direction:ltr;width:99%;height:380px;" wrap="off" rows="25" name="templ" id="tmpl" cols="55">
<?
print h($template);
?>
</textarea></div>


<table border="0" width="100%" cellpadding="0" cellspacing="0">
<tr>

<td align="center"><input type="submit" name="send" value="Сохранить"></td>

</tr>
</table>

</form>
<div>
	<ul class="uz">
		<li><div class="global-marks">{CONTENT}</div> - Основной контент страницы</li>
		<li><div class="global-marks">{TITLE}</div> - Заголовок страницы</li>
		<li><div class="global-marks">{DESCRIPTION}</div> - Содержание Мета-тега description</li>
		<li><div class="global-marks">{FPS_WDAY}</div> - День кратко</li>
		<li><div class="global-marks">{FPS_DATE}</div> - Дата</li>
		<li><div class="global-marks">{FPS_TIME}</div> - Время</li>
		<li><div class="global-marks">{HEADMENU}</div> - Верхнее меню</li>
		<li><div class="global-marks">{FPS_USER_NAME}</div> - Ник текущего пользователя (Для не авторизованного - Гость)</li>
		<li><div class="global-marks">{FPS_USER_GROUP}</div> - Группа текущего пользователя (Для не авторизованного - Гости)</li>
		<li><div class="global-marks">{CATEGORIES}</div> - Список категорий раздела</li>
		<li><div class="global-marks">{COUNTER}</div> - Встроенный счетчик посещаемости CMS Fapos</li>
		<li><div class="global-marks">{FPS_YEAR}</div> - Год</li>
		<li><div class="global-marks">{POWERED_BY}</div> - CMS Fapos</li>
		<li><div class="global-marks">{COMMENTS}</div> - Комментарии к материалу и форма добавления комментариев <b>(если предусмотренно)</b></li>
		<li><div class="global-marks">{PERSONAL_PAGE_LINK}</div> - URL на свою персональную страницу или на страницу регистрации, если не авторизован</li>
	</ul>
</div>

<? include_once 'template/footer.php';