<?
##################################################
##												##
## Author:       Andrey Brykin (Drunya)         ##
## Version:      1.0                            ##
## Project:      CMS                            ##
## package       CMS Fapos                      ##
## subpackege    Admin Panel module             ##
## copyright     ©Andrey Brykin 2010-2011       ##
##################################################


##################################################
##												##
## any partial or not partial extension         ##
## CMS Fapos,without the consent of the         ##
## author, is illegal                           ##
##################################################
## Любое распространение                        ##
## CMS Fapos или ее частей,                     ##
## без согласия автора, является не законным    ##
##################################################

include_once '../sys/boot.php';
include_once R . 'admin/inc/adm_boot.php';


if (isset($_POST['send'])) {
	$errors = array();
	//Проводим валидациюданных
	for ($i = 0; $i < 11; $i++) {
		if (empty($_POST['rat'.$i]) || strlen($_POST['rat'.$i]) < 1) $errors['rat'.$i] = 'Слишком короткое значение';
		if ($i > 0) {
			if (empty($_POST['cond'.$i]) || strlen($_POST['cond'.$i]) < 1) $errors['cond'.$i] = 'Слишком короткое значение';
			elseif (!is_numeric($_POST['cond'.$i])) $errors['cond'.$i] = 'Значение должно быть числом';
		}
	}
	
	if (empty($errors)) {
		$TempSet['rat0'] = $_POST['rat0'];
		$TempSet['cond1'] = $_POST['cond1'];
		$TempSet['rat1'] = $_POST['rat1'];
		$TempSet['cond2'] = $_POST['cond2'];
		$TempSet['rat2'] = $_POST['rat2'];
		$TempSet['cond3'] = $_POST['cond3'];
		$TempSet['rat3'] = $_POST['rat3'];
		$TempSet['cond4'] = $_POST['cond4'];
		$TempSet['rat4'] = $_POST['rat4'];
		$TempSet['cond5'] = $_POST['cond5'];
		$TempSet['rat5'] = $_POST['rat5'];
		$TempSet['cond6'] = $_POST['cond6'];
		$TempSet['rat6'] = $_POST['rat6'];
		$TempSet['cond7'] = $_POST['cond7'];
		$TempSet['rat7'] = $_POST['rat7'];
		$TempSet['cond8'] = $_POST['cond8'];
		$TempSet['rat8'] = $_POST['rat8'];
		$TempSet['cond9'] = $_POST['cond9'];
		$TempSet['rat9'] = $_POST['rat9'];
		$TempSet['cond10'] = $_POST['cond10'];
		$TempSet['rat10'] = $_POST['rat10'];

		$prepair = serialize($TempSet);
		$what = $FpsDB->select('users_settings', DB_COUNT, array('cond' => array('type' => 'rating')));
		if (count($what) < 1) {
			$FpsDB->save('users_settings', array(
				'type' => 'rating',
				'values' => $prepair,
			));
		} else {
			$FpsDB->save('users_settings', 
				array(
					'values' => $prepair,
				), array(
					'type' => 'rating',
				)
			);
		}
		
		redirect("/admin/users_rating.php");

	}
	

}



$query = $FpsDB->select('users_settings', DB_FIRST, array('cond' => array('type' => 'rating')));
if (count($query) < 1) {
	$result = array();
} else {
	$result = unserialize($query[0]['values']);
}

$head = file_get_contents('template/header.php');
$page_title = 'Ранги пользователей';
$head = str_replace('{TITLE}', $page_title, $head);
$head = str_replace('{NAVIGATION}', $page_title, $head);
$head = str_replace('{NAVIGATIONL}', '', $head);

echo $head;
?>




<form method="POST" action="users_rating.php">
<table width="100%">


<tr><td width="40%"><b>Без ранга</b><br /> (какое звание будет у нового пользователя) :<br></td>
<td align="right" style="padding-right:20%;">Кол-во сообщений:<input type="text" name="rat0" value="<?php echo (!empty($result['rat0'])) ? $result['rat0'] : ''; ?>">
<?php echo (!empty($errors['rat0'])) ? '<br /><span class="error">'.$errors['rat0'].'</span>' : ''; ?>
</td></tr>
<th><tr><td colspan="2" height="10"><hr></td></tr>

<?php for ($i = 1; $i < 11; $i++): ?>

	<tr>
	<td width="20%"><b>Ранг № <?php echo $i; ?></b></td>
	<td align="right" style="width:50%; padding-right:20%;">Кол-во сообщений:<input type="text" name="cond<?php echo $i ?>" value="<?php echo(!empty($result['cond'.$i])) ? $result['cond'.$i] : ''; ?>">
	<?php echo (!empty($errors['cond'.$i])) ? '<br /><span class="error">'.$errors['cond'.$i].'</span>' : ''; ?>
	</td>
	</tr>

	<tr>
	<td width="20%"></td>
	<td align="right" style="width:50%;padding-right:20%;">Звание:<input type="text" name="rat<?php echo $i ?>" value="<?php echo (!empty($result['rat'.$i])) ? $result['rat'.$i] : ''; ?>">
	<?php echo (!empty($errors['rat'.$i])) ? '<br /><span class="error">'.$errors['rat'.$i].'</span>' : ''; ?>
	</td>
	</tr><th>
	<tr><td colspan="2" height="10"><hr></td></tr>


<?php endfor ?>


<tr><td align="center"><input type="submit" name="send" value="Сохранить"><br></td></tr>

</table>
</form>

<?php
include_once 'template/footer.php';
?>