<?php
##################################################
##												##
## Author:       Andrey Brykin (Drunya)         ##
## Version:      0.8                            ##
## Project:      CMS                            ##
## package       CMS Fapos                      ##
## subpackege    Defence library                ##
## copyright     Andrey Brykin 2010-2011       ##
##################################################


##################################################
##												##
## any partial or not partial extension         ##
## CMS Fapos,without the consent of the         ##
## author, is illegal                           ##
##################################################
##                          ##
## CMS Fapos   ,                     ##
##   ,       ##
##################################################

/**
* antiDDOS protection
*/
function antiDdos() {
	touchDir(R . 'sys/logs/anti_ddos/');
	$date = date("Y-m-d");
	
	if (isset($_SERVER['HTTP_X_FORWARDED_FOR'])) {
		$ip = $_SERVER['HTTP_X_FORWARDED_FOR'];
	} else {
		$ip = (!empty($_SERVER['REMOTE_ADDR'])) ? $_SERVER['REMOTE_ADDR'] : '';
	}
	if (mb_strlen($ip) > 15 
		|| !preg_match('#^\d+\.\d+\.\d+\.\d+$#', $ip)
		|| empty($ip)) 
		return;
		
		
	if (!empty($ip)) {
		/* if current IP is hacked */
		if (file_exists(R . 'sys/logs/anti_ddos/hack_' . $ip . '.dat')) {
			redirect('/error.php?ac=hack');
		}
		
		//clean old files
		$tmp_files = glob(R . 'sys/logs/anti_ddos/[0-9]*.dat'); //get all except HACK
		if (!empty($tmp_files) && count($tmp_files) > 0) {
			foreach ($tmp_files as $file) {
				if (substr(basename($file), 0, 10) != $date) {
					unlink($file);
				}
			}
		}
		
		/* if not hacked */
		$file = R . 'sys/logs/anti_ddos/' . $date . '_' . $ip . '.dat';
		if (file_exists($file)) {
			$data = file_get_contents($file);
			$data = explode('***', $data);
			if ($data[1] == time()) {
				if ($data[0] > Config::read('request_per_second', 'secure')) {
					unlink($file);
					$f = fopen(R . 'sys/logs/anti_ddos/hack_' . $ip . '.dat', 'w');
					fwrite($f, date("Y-m-d H:i"));
					fclose($f);
					redirect('/error.php?ac=hack');
				}
				$attempt = $data[0] + 1; 
				$f = fopen($file, 'w');
				fwrite($f, $attempt . '***' . time());
				fclose($f);
			} else {
				unlink($file);
			}
		} else {
			$f = fopen(R . 'sys/logs/anti_ddos/' . $date . '_' . $ip . '.dat', 'w');
			fwrite($f, '1***' . time());
			fclose($f);
		}
	}			
}


?>