<?php
##################################################
##												##
## Author:       Andrey Brykin (Drunya)         ##
## Version:      0.7                            ##
## Project:      CMS                            ##
## package       CMS Fapos                      ##
## subpackege    Defense library                ##
## copyright     ©Andrey Brykin 2010-2011       ##
##################################################


##################################################
##												##
## any partial or not partial extension         ##
## CMS Fapos,without the consent of the         ##
## author, is illegal                           ##
##################################################
## Любое распространение                        ##
## CMS Fapos или ее частей,                     ##
## без согласия автора, является не законным    ##
##################################################



//Защита от иньекций. срабатывает в случае попадания в урл запрещенных символов. Пишет в лог файл
function antiSQL() {

	if(!preg_match('#^[\#/\?&_\-=\.а-яa-z0-9]*$#ui', urldecode($_SERVER['REQUEST_URI']))) {
		
		$remote_addr = (!empty($_SERVER['REMOTE_ADDR'])) ? $_SERVER['REMOTE_ADDR'] : 'Unknown';
		$http_x_for = (!empty($_SERVER['HTTP_X_FORWARDED_FOR'])) ? $_SERVER['HTTP_X_FORWARDED_FOR'] : 'Unknown';
		$http_client_ip = (!empty($_SERVER['HTTP_CLIENT_IP'])) ? $_SERVER['HTTP_CLIENT_IP'] : 'Unknown';
		
		$remote_addr = substr($remote_addr, 0, 150);
		$http_x_for = substr($http_x_for, 0, 150);
		$http_client_ip = substr($http_client_ip, 0, 150);
		$_SERVER['REQUEST_URI'] = substr($_SERVER['REQUEST_URI'], 0, 500);
		
		$logfile = fopen(R.'sys/logs/antisql.dat', 'a');
		$warning = "Попытка SQL-иньекции. ['REMOTE_ADDR'] -> " . $remote_addr . " Дата: " . date("Y-m-d H:i") . "
			['HTTP_X_FORWARDED_FOR'] -> " . $http_x_for . "
			['HTTP_CLIENT_IP'] -> " . $http_client_ip . "
			Запрос: " . urldecode($_SERVER['REQUEST_URI']) . "\n";
		fputs($logfile, $warning);
		fclose($logfile);

		redirect('/');
	}
		
}

?>