<?php
//turn access
$this->ACL->turn(array($this->module, 'add_comments'));
if (!isset($_POST['name']) || !isset($_POST['message'])) {
	redirect($this->module);
}
$id = (int)$id;
if ($id < 1) redirect($this->module);


$target_new = $this->DB->select($this->module, DB_FIRST, array('cond' => array('id' => $id)));
if (count($target_new) == 0) redirect($this->module);
if ($target_new[0]['commented'] != 1) return showInfoMessage(__('Comments is denied here'), '/' . $this->module . '/view/' . $id); 


/* cut and trim values */
$name    = mb_substr( $_POST['name'], 0, 70 );
$message = mb_substr( $_POST['message'], 0, Config::read('comment_lenght', $this->module));
$name    = trim( $name );
$message = trim( $message );
$ip      = (!empty($_SERVER['REMOTE_ADDR'])) ? $_SERVER['REMOTE_ADDR'] : '';
$keystring = (isset($_POST['captcha_keystring'])) ? trim($_POST['captcha_keystring']) : '';


// Check fields
$error  = '';
$valobj = new Validate;
if (empty($name))                          
	$error = $error . '<li>' . __('Empty field "name"') . '</li>' . "\n";
elseif (!$valobj->cha_val($name, V_TITLE))  
	$error = $error . '<li>' . __('Wrong chars in field "name"') . '</li>' . "\n";
if (empty($message))                       
	$error = $error . '<li>' . __('Empty field "text"') . '</li>' . "\n";


// Check captcha if need exists	 
if (!$this->ACL->turn(array('other', 'no_captcha'), false)) {
	if (empty($keystring))                      
		$error = $error . '<li>' . __('Empty field "code"') . '</li>' . "\n";

	
	//   ""
	if (!empty($keystring)) {
		//   ""   
		if (!$valobj->cha_val($keystring, V_CAPTCHA))
			$error = $error.'<li>' . __('Wrong chars in field "code"') . '</li>'."\n";									
		if (!isset($_SESSION['captcha_keystring'])) {
			if (file_exists(R . 'sys/logs/captcha_keystring_' . session_id() . '-' . date("Y-m-d") . '.dat')) {
				$_SESSION['captcha_keystring'] = file_get_contents(R . 'sys/logs/captcha_keystring_' . session_id() . '-' . date("Y-m-d") . '.dat');
			}
		}
		if (!isset($_SESSION['captcha_keystring']) || $_SESSION['captcha_keystring'] != $keystring)
			$error = $error.'<li>' . __('Wrong protection code') . '</li>'."\n";
	}
	unset($_SESSION['captcha_keystring']);
}


/* if an errors */
if (!empty($error)) {
	$_SESSION['addCommentForm'] = array();
	$_SESSION['addCommentForm']['error'] = '<p class="errorMsg">' . __('Some error in form') . '</p>' .
		"\n" . '<ul class="errorMsg">' . "\n" . $error . '</ul>' . "\n";
	$_SESSION['addCommentForm']['name'] = $name;
	$_SESSION['addCommentForm']['message'] = $message;
	redirect('/' . $this->module . '/view/' . $id);
}


/* SPAM DEFENCE */
if (isset($_SESSION['unix_last_post']) and (time()-$_SESSION['unix_last_post'] < 10)) {
	return showInfoMessage(__('Your message has been added'), '/' . $this->module . '/view/' . $id);
} else {
	$_SESSION['unix_last_post'] = time();
}


/* remove cache */
$this->Cache->clean(CACHE_MATCHING_TAG, array('module_' . $this->module, 'record_id_' . $id));
$this->DB->cleanSqlCache();
/* save data */	
$this->DB->save($this->module . '_comments', array(
	'entity_id'   => $id,
	'name'     => $name,
	'message'  => $message,
	'ip'       => $ip,
));
$this->DB->save($this->module, array(
	'`comments` = `comments` + 1',
	'id' => $id,
));


if ($this->Log) $this->Log->write('adding comment to ' . $this->module, $this->module . ' id(' . $id . ')');
return showInfoMessage(__('Comments is added'), '/' . $this->module . '/view/' . $id );
?>