<?php
//turn access
$this->ACL->turn(array($this->module, 'edit_comments'));
if (empty($id)) redirect($this->module);
$id = (int)$id;
if ($id < 1) redirect($this->module);



if ($this->cached && $this->Cache->check('category_' . $this->cacheKey)) {
	$this->categories = $this->Cache->read('category_' . $this->cacheKey);
} else {
	$sql = $this->DB->select($this->module . '_sections', DB_ALL, array('cond' => array('class' => 'section')));
	if (count($sql) > 0) {
		foreach ($sql as $result) {
			$this->categories .= '<li>' . get_link(h($result['title']), '/' . $this->module . '/section/' . $result['id']) . '</li>';
		}
	}
	if ($this->cached)
		$this->Cache->write($this->categories, 'category_' 
		. $this->cacheKey, array('module_' . $this->module, 'category_block'));
}


// Получаем из БД информацию о редактируемой теме
$res = $this->DB->select($this->module . '_comments', DB_FIRST, array('cond' => array('id' => $id)));
if (count($res) == 0 ) redirect('/' . $this->module . '/');
$comment = $res[0];


$html = '';
$markets = array();

// Если при заполнении формы были допущены ошибки
if (isset($_SESSION['editCommentForm'])) {
	$html     = $_SESSION['editCommentForm']['error'] . $html;
	$message  = $this->Parser->quoteTags($_SESSION['editCommentForm']['message']);
	$name     = $this->Parser->quoteTags($comment['name']);
	unset( $_SESSION['editCommentForm'] );
} else {
	$message = $this->Parser->quoteTags($comment['message']);
	$name    = $this->Parser->quoteTags($comment['name']);
}



$tpl = $this->Parser->getAndParse('editcommentform.html' );
$markets['{ACTION}'] = get_url('/' . $this->module . '/update_comment/' . $id);
$markets['{EDIT_COMMENT_NAME}'] = h($name);
$markets['{EDIT_COMMENT_MESSAGE}'] = h($message);
$html = $html . $this->_replaceMarkets($markets, $tpl);
$this->comments = '';

return $this->_view($html);

?>