<?
##################################################
##												##
## Author:       Andrey Brykin (Drunya)         ##
## Version:      0.7                            ##
## Project:      CMS                            ##
## package       CMS Fapos                      ##
## subpackege    Admin Panel module             ##
## copyright     ©Andrey Brykin 2010-2011       ##
##################################################


##################################################
##												##
## any partial or not partial extension         ##
## CMS Fapos,without the consent of the         ##
## author, is illegal                           ##
##################################################
## Любое распространение                        ##
## CMS Fapos или ее частей,                     ##
## без согласия автора, является не законным    ##
##################################################
include_once '../sys/boot.php';
include_once R . 'admin/inc/adm_boot.php';
$page_title = 'Файлы - Настройки';

$TempSet = $set;
if (isset($_POST['send'])) {

	$TempSet['loads']['title'] = $_POST['title'];
	$TempSet['loads']['description'] = $_POST['description'];
	$TempSet['loads']['min_lenght'] = $_POST['min_lenght'];
	$TempSet['loads']['max_lenght'] = $_POST['max_lenght'];
	$TempSet['loads']['announce_lenght'] = $_POST['announce_lenght'];
	$TempSet['loads']['per_page'] = $_POST['per_page'];
	$TempSet['loads']['max_file_size'] = $_POST['max_file_size'];
	$TempSet['loads']['active'] = $_POST['active'];
	
	/* FIELDS */
	$TempSet['loads']['fields'] = array();
	if (!empty($_POST['fields']['description'])) $TempSet['loads']['fields'][] = 'description';
	if (!empty($_POST['fields']['tags'])) $TempSet['loads']['fields'][] = 'tags';
	if (!empty($_POST['fields']['sourse'])) $TempSet['loads']['fields'][] = 'sourse';
	if (!empty($_POST['fields']['sourse_email'])) $TempSet['loads']['fields'][] = 'sourse_email';
	if (!empty($_POST['fields']['sourse_site'])) $TempSet['loads']['fields'][] = 'sourse_site';
	$TempSet['loads']['require_file'] = (!empty($_POST['require_file'])) ? 1 : 0;
	
	/* COMMENTS */
	$TempSet['loads']['comment_lenght'] = $_POST['comment_lenght'];
	$TempSet['loads']['comment_per_page'] = $_POST['comment_per_page'];
	
	
	Config::write($TempSet);
	redirect("/admin/settings_load.php");
}
$head = file_get_contents('template/header.php');
$head = str_replace('{TITLE}', $page_title, $head);
$head = str_replace('{NAVIGATION}', $page_title, $head);
$head = str_replace('{NAVIGATIONL}', '', $head);

echo $head;
?>


<form method="POST" action="">
<table class="settings-tb">

<tr><td>Заголовок:</td>
<td><input type="text" name="title" value="<?php echo $set['loads']['title'] ?>"></td></tr>

<tr><td>Описание:<br></td>
<td><input type="text" name="description" value="<?php echo $set['loads']['description'] ?>"></td></tr>


<tr><td>Минимальная длина описания:<br></td>
<td><input type="text" name="min_lenght" value="<?php echo $set['loads']['min_lenght'] ?>">&nbsp;<span class="comment">Символов</span></td></tr>

<tr><td>Максимальная длина описания:<br></td>
<td><input type="text" name="max_lenght" value="<?php echo $set['loads']['max_lenght'] ?>">&nbsp;<span class="comment">Символов</span></td></tr>

<tr><td>Длина анонса:<br></td>
<td><input type="text" name="announce_lenght" value="<?php echo $set['loads']['announce_lenght'] ?>">&nbsp;<span class="comment">Символов</span></td></tr>

<tr><td>Количество файлов на странице:<br></td>
<td><input type="text" name="per_page" value="<?php echo $set['loads']['per_page'] ?>"></td></tr>


<tr><td>Максимальный размер файла:<br></td>
<td><input type="text" name="max_file_size" value="<?php echo $set['loads']['max_file_size'] ?>">&nbsp;<span class="comment">Байт</span></td></tr>


<!--#################### FIELDS ###################-->
<tr class="small"><td colspan="2"><span class="comment">Поля обязательные для заполнения</span></td></tr>

<tr class="small"><td>Категория:<br></td><td>
<input type="checkbox" name="comment_active" value="1" checked="checked" disabled="disabled" /><br></td></tr>

<tr class="small"><td>Заголовок:<br></td><td>
<input type="checkbox" name="comment_active" value="1" checked="checked" disabled="disabled" /><br></td></tr>

<tr class="small"><td>Текст материала:<br></td><td>
<input type="checkbox" name="comment_active" value="1" checked="checked" disabled="disabled" /><br></td></tr>

<tr class="small"><td>Краткое описание:<br></td><td>
<input type="checkbox" name="fields[description]" value="1" <?php if (in_array('description', $set['loads']['fields'])) echo 'checked="checked"' ?>><br></td></tr>

<tr class="small"><td>Теги:<br></td><td>
<input type="checkbox" name="fields[tags]" value="1" <?php if (in_array('tags', $set['loads']['fields'])) echo 'checked="checked"' ?>><br></td></tr>

<tr class="small"><td>Источник(автор):<br></td><td>
<input type="checkbox" name="fields[sourse]" value="1" <?php if (in_array('sourse', $set['loads']['fields'])) echo 'checked="checked"' ?>><br></td></tr>

<tr class="small"><td>E-Mail автора:<br></td><td>
<input type="checkbox" name="fields[sourse_email]" value="1" <?php if (in_array('sourse_email', $set['loads']['fields'])) echo 'checked="checked"' ?>><br></td></tr>

<tr class="small"><td>Сайт автора:<br></td><td>
<input type="checkbox" name="fields[sourse_site]" value="1" <?php if (in_array('sourse_site', $set['loads']['fields'])) echo 'checked="checked"' ?>><br></td></tr>

<tr class="small"><td>Файл:<br></td><td>
<input type="checkbox" name="require_file" value="1" <?php if (!empty($set['loads']['require_file'])) echo 'checked="checked"' ?>><br></td></tr>




<!--#################### END FIELDS ###################-->

<!--#################### COMMENTS ###################-->

<tr><td>Максимальный размер комментария:<br></td><td>
<input type="text" name="comment_lenght" value="<?php echo $set['loads']['comment_lenght'] ?>">&nbsp;<span class="comment">Символов</span><br></td></tr>

<tr><td>Комментариев на страницу:<br></td><td>
<input type="text" name="comment_per_page" value="<?php echo $set['loads']['comment_per_page'] ?>"><br></td></tr>

<!--#################### END COMMENTS ###################-->

<tr><td>Статус :<br />
<span class="comment">(Активирован/Деактивирован)</span></td>
<td>
<select name="active">
<option value="1" <?php if (Config::read('active', 'loads') && Config::read('active', 'loads') == 1) echo 'selected="selected"' ?>>Активирован</option>
<option value="0"<?php if (!Config::read('active', 'loads') || Config::read('active', 'loads') == 0) echo 'selected="selected"' ?>>Деактивирован</option>
</select>
</td></tr>


<tr><td colspan="2" align="center"><input type="submit" name="send" value="Сохранить"><br></td></tr>

</table>
</form>




<?php
include_once 'template/footer.php';
?>