<?
/*-----------------------------------------------\
| 												 |
|  Author:       Andrey Brykin (Drunya)          |
|  Version:      0.7                             |
|  Project:      CMS                             |
|  package       CMS Fapos                       |
|  subpackege    Admin Panel module              |
|  copyright     ©Andrey Brykin 2010-2011        |
\-----------------------------------------------*/

/*-----------------------------------------------\
| 												 |
|  any partial or not partial extension          |
|  CMS Fapos,without the consent of the          |
|  author, is illegal                            |
|------------------------------------------------|
|  Любое распространение                         |
|  CMS Fapos или ее частей,                      |
|  без согласия автора, является не законным     |
\-----------------------------------------------*/


include_once '../sys/boot.php';
include_once R . 'admin/inc/adm_boot.php';
$page_title = 'Статьи - Настройки';

$TempSet = $set;
if (isset($_POST['send'])) {

	$TempSet['stat']['title'] = $_POST['title'];
	$TempSet['stat']['description'] = $_POST['description'];
	$TempSet['stat']['max_lenght'] = $_POST['max_lenght'];
	$TempSet['stat']['announce_lenght'] = $_POST['announce_lenght'];
	$TempSet['stat']['per_page'] = $_POST['per_page'];
	$TempSet['stat']['active'] = $_POST['active'];
	/* FIELDS */
	$TempSet['stat']['fields'] = array();
	if (!empty($_POST['fields']['description'])) $TempSet['stat']['fields'][] = 'description';
	if (!empty($_POST['fields']['tags'])) $TempSet['stat']['fields'][] = 'tags';
	if (!empty($_POST['fields']['sourse'])) $TempSet['stat']['fields'][] = 'sourse';
	if (!empty($_POST['fields']['sourse_email'])) $TempSet['stat']['fields'][] = 'sourse_email';
	if (!empty($_POST['fields']['sourse_site'])) $TempSet['stat']['fields'][] = 'sourse_site';

	/* COMMENTS */
	$TempSet['stat']['comment_lenght'] = $_POST['comment_lenght'];
	$TempSet['stat']['comment_per_page'] = $_POST['comment_per_page'];

	Config::write($TempSet);
	redirect("/admin/settings_stat.php");
}
$head = file_get_contents('template/header.php');
$head = str_replace('{TITLE}', $page_title, $head);
$head = str_replace('{NAVIGATION}', $page_title, $head);
$head = str_replace('{NAVIGATIONL}', '', $head);

echo $head; ?>



<form method="POST" action="settings_stat.php">
<table class="settings-tb">

<tr><td>Заголовок модуля:</td>
<td><input type="text" name="title" value="<?php echo $set['stat']['title'] ?>"></td></tr>

<tr><td>Описание модуля:<br></td>
<td><input type="text" name="description" value="<?php echo $set['stat']['description'] ?>"></td></tr>

<tr><td>Максимальная длина статей:<br></td>
<td><input type="text" name="max_lenght" value="<?php echo $set['stat']['max_lenght'] ?>">&nbsp;<span class="comment">Символов</span></td></tr>

<tr><td>Максимальная длина анонса:<br></td>
<td><input type="text" name="announce_lenght" value="<?php echo $set['stat']['announce_lenght'] ?>">&nbsp;<span class="comment">Символов</span></td></tr>

<tr><td>Количество статей на странице:<br></td>
<td><input type="text" name="per_page" value="<?php echo $set['stat']['per_page'] ?>"></td></tr>



<!--#################### FIELDS ###################-->
<tr class="small"><td colspan="2"><span class="comment">Поля обязательные для заполнения</span></td></tr>

<tr class="small"><td>Категория:<br></td><td>
<input type="checkbox" name="comment_active" value="1" checked="checked" disabled="disabled" /></td></tr>

<tr class="small"><td>Заголовок:<br></td><td>
<input type="checkbox" name="comment_active" value="1" checked="checked" disabled="disabled" /></td></tr>

<tr class="small"><td>Текст материала:<br></td><td>
<input type="checkbox" name="comment_active" value="1" checked="checked" disabled="disabled" /></td></tr>

<tr class="small"><td>Краткое описание:<br></td><td>
<input type="checkbox" name="fields[description]" value="1" <?php if (in_array('description', $set['stat']['fields'])) echo 'checked="checked"' ?>></td></tr>

<tr class="small"><td>Теги:<br></td><td>
<input type="checkbox" name="fields[tags]" value="1" <?php if (in_array('tags', $set['stat']['fields'])) echo 'checked="checked"' ?>></td></tr>

<tr class="small"><td>Источник(автор):<br></td><td>
<input type="checkbox" name="fields[sourse]" value="1" <?php if (in_array('sourse', $set['stat']['fields'])) echo 'checked="checked"' ?>></td></tr>

<tr class="small"><td>E-Mail автора:<br></td><td>
<input type="checkbox" name="fields[sourse_email]" value="1" <?php if (in_array('sourse_email', $set['stat']['fields'])) echo 'checked="checked"' ?>></td></tr>

<tr class="small"><td>Сайт автора:<br></td><td>
<input type="checkbox" name="fields[sourse_site]" value="1" <?php if (in_array('sourse_site', $set['stat']['fields'])) echo 'checked="checked"' ?>></td></tr>




<!--#################### END FIELDS ###################-->

<!--#################### COMMENTS ###################-->

<tr><td>Максимальный размер комментария:<br></td><td>
<input type="text" name="comment_lenght" value="<?php echo $set['stat']['comment_lenght'] ?>">&nbsp;<span class="comment">Символов</span><br></td></tr>

<tr><td>Комментариев на страницу:<br></td><td>
<input type="text" name="comment_per_page" value="<?php echo $set['stat']['comment_per_page'] ?>"><br></td></tr>

<!--#################### END COMMENTS ###################-->


<tr><td>Статус :<br />
<span class="comment">(Активирован/Деактивирован)</span></td>
<td>
<select name="active">
<option value="1" <?php if (Config::read('active', 'stat') && Config::read('active', 'stat') == 1) echo 'selected="selected"' ?>>Активирован</option>
<option value="0"<?php if (!Config::read('active', 'stat') || Config::read('active', 'stat') == 0) echo 'selected="selected"' ?>>Деактивирован</option>
</select>
</td></tr>


<tr><td colspan="2" align="center"><input type="submit" name="send" value="Сохранить"><br></td></tr>

</table>
</form>


<?php
include_once 'template/footer.php';
?>