<?php
/*-----------------------------------------------\
| 												 |
|  Author:       Andrey Brykin (Drunya)          |
|  Version:      1.1                             |
|  Project:      CMS                             |
|  package       CMS Fapos                       |
|  subpackege    Admin Panel module              |
|  copyright     ©Andrey Brykin 2010-2011        |
\-----------------------------------------------*/

/*-----------------------------------------------\
| 												 |
|  any partial or not partial extension          |
|  CMS Fapos,without the consent of the          |
|  author, is illegal                            |
|------------------------------------------------|
|  Любое распространение                         |
|  CMS Fapos или ее частей,                      |
|  без согласия автора, является не законным     |
\-----------------------------------------------*/



include_once '../sys/boot.php';
include_once R . 'admin/inc/adm_boot.php';

 
$page_title = 'Пользователи';
 
 
if ( !isset( $_GET['ac'] ) ) $_GET['ac'] = 'index';
$actions = array( 'index',
					'ank',
					'del',
					'save');
					
if ( !in_array( $_GET['ac'], $actions ) ) $_GET['ac'] = 'index';

switch ( $_GET['ac'] )
{
	case 'index':  // главная страница 
		$content = index($page_title);
		break;
	case 'ank':        
		$content = editAnk($page_title);
		break;
	case 'save':         
		$content = saveAnk();
		break;
	default:
		$content = index($page_title);
}

$head = file_get_contents('template/header.php');
$head = str_replace('{TITLE}', $page_title, $head);
$head = str_replace('{NAVIGATION}', $page_title, $head);
$head = str_replace('{NAVIGATIONL}', '<a href="users_list.php">Список пользователей</a>', $head);

$footer = file_get_contents('template/footer.php');

$dp = new Document_Parser;

$content = $head.$content.$footer;
echo $content;
 	

	
function index(&$page_title) {
	global $FpsDB;
	$page_title = 'Список пользователей';
	$order = '';
	$limit = 30;
	$content = '';

	if (!empty($_GET['cond'])) {
		$permision_cond = array('name', 'email', 'status',  'posts', 'themes', 'puttime');
		if (!in_array($_GET['cond'], $permision_cond)) $_GET['cond'] = 'puttime';
		
		$order = (!empty($_GET['value']) && $_GET['value'] == '1') ? ' DESC' : ' ASC';
		$order = 'ORDER BY ' . $_GET['cond'] . $order;
	}

	if (!empty($_POST['search'])) $str_search = "WHERE `name` LIKE '%{$_POST['search']}%'";
	else $str_search = '';
	$count = $FpsDB->query("SELECT COUNT(*) as cnt FROM `" . $FpsDB->getFullTableName('users') . "` {$str_search} {$order}");

	$total = (!empty($count[0]['cnt'])) ? $count[0]['cnt'] : 0;
	$cntPages = ($total > 0) ? ceil( $total / $limit ) : 0;
	if ( isset($_GET['page']) ) {
		$page = (int)$_GET['page'];
		if ( $page < 1 ) $page = 1;
	} else {
		$page = $cntPages;
	}
	if ( $page > $cntPages ) $page = $cntPages;
	$start = ( $page - 1 ) * $limit;
	if ( $cntPages > 1 ) {
		// Функция возвращает html меню для постраничной навигации
		$pages = pagination( $page, $cntPages, '/admin/users_list.php?ac=index');
	} else {
		$pages = '&nbsp;';
	}
	
	$sql = "SELECT * FROM `" . $FpsDB->getFullTableName('users') . "` {$str_search} {$order} LIMIT {$start}, {$limit}";
	$query = $FpsDB->query($sql);
	
	$nick = (!empty($_GET['cond']) && $_GET['cond'] == 'name') ? '<a href="?cond=name&value=0">Ник</a>' : '<a href="?cond=name&value=1">Ник</a>';
	$email = (!empty($_GET['cond']) && $_GET['cond'] == 'email') ? '<a href="?cond=email&value=0">Почта</a>' : '<a href="?cond=email&value=1">Почта</a>';
	$puttime = (!empty($_GET['cond']) && $_GET['cond'] == 'puttime') ? '<a href="?cond=puttime&value=0">Дата регистрации</a>' : '<a href="?cond=puttime&value=1">Дата регистрации</a>';
	$status = (!empty($_GET['cond']) && $_GET['cond'] == 'status') ? '<a href="?cond=status&value=0">Статус</a>' : '<a href="?cond=status&value=1">Статус</a>';
	$themes = (!empty($_GET['cond']) && $_GET['cond'] == 'themes') ? '<a href="?cond=themes&value=0">Тем</a>' : '<a href="?cond=themes&value=1">Тем</a>';
	$posts = (!empty($_GET['cond']) && $_GET['cond'] == 'posts') ? '<a href="?cond=posts&value=0">Постов</a>' : '<a href="?cond=posts&value=1">Постов</a>';
	
	
	$content .= "<table cellspacing=\"0\" class=\"lines\"><th width=\"20%\">{$nick}</th>
									<th width=\"25%\">{$email}</th>
									<th width=\"20%\">{$puttime}</th>
									<th width=\"15%\">{$status}</th>
									<th width=\"9%\">{$themes}</th>
									<th width=\"9%\">{$posts}</th>
									<th width=\"20px\" colspan=\"2\">Действие</th>";
	

	
	foreach ($query as $result) {
		$status_info = ACL::get_user_group($result['status']);
		$status = $status_info['title'];
		$color = (!empty($status_info['color'])) ? $status_info['color'] : '';
		$content .= "<tr><td><a href='users_list.php?ac=ank&id={$result['id']}'>{$result['name']}</a></td>
						<td>{$result['email']}</td>
						<td>{$result['puttime']}</td>
						<td><span style=\"color:#{$color}\">{$status}</span></td>
						<td>{$result['themes']}</td>
						<td>{$result['posts']}</td>
						<td colspan=\"2\"><a href='users_list.php?ac=ank&id={$result['id']}'><img src=\"template/img/edit_16x16.png\" /></a>
						</td>";
	}
	$content .= '</table>';
	$content .= '<form method="POST" action="users_list.php?ac=index"><table class="metatb"><tr><td>
				<input type="text" name="search" />
				<input type="submit" name="send" value="Поиск" />
				</td></tr></table></form>';
	
	return $pages.'<br />'.$content;
  
}

//*****************************************************************************************************************
//*****************************************************************************************************************

function editAnk(&$page_title) {
	global $FpsDB;
	if (!is_numeric($_GET['id'])) redirect('/admin/users_list.php');
	
	$page_title = 'Редактирование данных пользователя';
	$content = '';
	$statuses = ACL::get_group_info();
	$query = $FpsDB->select('users', DB_FIRST, array('cond' => array('id' => $_GET['id'])));
	
	if (empty($query)) return '<span style="color:red;">Запись не найдена</span>';

	foreach ($query[0] as $key => $value) {
		$$key = (!empty($_SESSION['edit_ank'][$key])) ? $_SESSION['edit_ank'][$key] : $value;
	}
	
	if (!empty($_SESSION['edit_ank']['errors'])) {
		$content .= '<script type="text/javascript">showHelpWin(\'' . $_SESSION['edit_ank']['errors'] . '\', \'Ошибки\');</script>';
	}
	unset($_SESSION['edit_ank']);
	$_SESSION['adm_form_key'] = md5(rand() . rand());
	$content .= '<form action="users_list.php?ac=save&id=' . $_GET['id'] . '" method="POST">
				<input type="hidden" value="' . $_SESSION['adm_form_key'] . '" name="adm_form_key" />
				<table style="margin:auto;width:100%;">
					<tr>
						<td><b>Имя:</b></td>
						<td><input type="text" name="name" value="' . h($name) .'" /></td>
					</tr>
					<tr><td colspan="3"><hr></td></tr>
					<tr>
						<td><b>Ранг:</b></td>
						<td><input type="text" name="state" value="' . h($state) .'" /></td>
					</tr>
					<tr><td colspan="3"><hr></td></tr>
					<tr>
						<td><b>Пароль:</b></td>
						<td><input type="text" name="passw" value="" /></td>
					</tr>
					<tr><td colspan="3"><hr></td></tr>
					<tr>
						<td><b>Почта:</b></td>
						<td><input type="text" name="email" value="' . h($email) .'" /></td>
					</tr>
					<tr><td colspan="3"><hr></td></tr>
					<tr>
						<td><b>Сайт:</b></td>
						<td><input type="text" name="url" value="' . h($url) .'" /></td>
					</tr>
					<tr><td colspan="3"><hr></td></tr>
					<tr>
						<td><b>ICQ:</b></td>
						<td><input type="text" name="icq" value="' . h($icq) .'" /></td>
					</tr>
					<tr><td colspan="3"><hr></td></tr>
					<tr>
						<td><b>О себе:</b></td>
						<td><textarea name="about" cols="35" rows="5">' . h($about) .'</textarea></td>
					</tr>
					<tr><td colspan="3"><hr></td></tr>
					<tr>
						<td><b>Подпись:</b></td>
						<td><textarea  cols="35" rows="5" name="signature" />' . h($signature) .'</textarea></td>
					</tr>
					<tr><td colspan="3"><hr></td></tr>
					<tr>
						<td><b>Бан:</b></td>
						<td>
							<select name="locked">';
						
	if ($locked == 0) {
		$content .= '<option value="1">Заблокирован</option>
					<option value="0" selected="selected">Разблокирован</option>';
	} else {
		$content .= '<option value="1" selected="selected">Заблокирован</option>
					<option value="0">Разблокирован</option>';	
	}
	
	$content .= '</select>
						</td>
					</tr>
					<tr><td colspan="3"><hr></td></tr>
					<tr>
						<td><b>Статус:</b></td>
						<td>
							<select name="status">';
							
	foreach ($statuses as $key => $value) {
		if ($key == 0) continue;
		$content .= ($status == $key) ? '<option value="' . $key . '" selected="selected">' . $value['title'] . '</option>' : 
									'<option value="' . $key . '">' . $value['title'] . '</option>';
	}
	$activation = (!empty($activation)) 
				? 'Активировать <input name="activation" type="checkbox" value="1" >' : '<span style="color:blue;">Активирован</span>';
	$content .=	 '</select>
						</td>
					</tr>
					<tr>
						<td><b>Активация:</b></td>
						<td>' . $activation . '</td>
					</tr>
					<tr>
						<td colspan ="2" align="center"><input type="submit" name="send" value="Сохранить" /></td>
					</tr>
				</table>
				</form>';

	return $content;
}


//*****************************************************************************************************************
//*****************************************************************************************************************

function saveAnk() {
	global $FpsDB;
	if (empty($_GET['id']) || !is_numeric($_GET['id'])) redirect('/admin/users_list.php');
	if (empty($_SESSION['adm_form_key']) 
	|| empty($_POST['adm_form_key'])
	|| $_SESSION['adm_form_key'] != $_POST['adm_form_key']) redirect('/admin/users_list.php');
	
	$check_user = $FpsDB->select('users', DB_FIRST, array('cond' => array('id' => (int)$_GET['id'])));
	if (count($check_user) < 1) {
		$_SESSION['info_message'] = 'Не найден пользователь с таким ID';
		redirect('/admin/users_list.php');
	}
	
	
	//validate class object for validate data
	$v_obj = new Validate;
	$errors = '';
	$content = '';
	
	//deleting spaces
	foreach ($_POST as $key => $value) {
		$$key = trim($value);
	}

	//check data for wrong chars
	if ($v_obj->cha_val($name, V_TITLE) !== true) 
		$errors .= '<li>Имя содержит недопустимые символы</li>';
	//if (!empty($state) && $v_obj->cha_val($state, V_TEXT) !== true) 
	//	$errors .= '<li>Ранг содержит недопустимые символы</li>';
	if (!empty($email) && $v_obj->cha_val($email, V_MAIL) !== true) 
		$errors .= '<li>некоректный Email</li>';
	if (!empty($url) && $v_obj->cha_val($url, V_URL) !== true) 
		$errors .= '<li>Не коректный URL сайта</li>';
	if (!empty($icq) && $v_obj->cha_val($icq, V_INT) !== true) 
		$errors .= '<li>ICQ должно содержать только цифры</li>';
	if (!empty($about) && $v_obj->cha_val($about, V_TEXT) !== true) 
		$errors .= '<li>Поле "о себе" содержит недопустимые символы</li>';
	if (!empty($signature) && $v_obj->cha_val($signature, V_TEXT) !== true) 
		$errors .= '<li>Подпись содержит недопустимые символы</li>';

	//check data for max/min lenght
	if ($v_obj->len_val($name, 4, 15) !== true) 
		$errors .= '<li>Имя слишком короткое/длинное. Должно быть в диапазоне 4-15 символов</li>';
	if ($v_obj->len_val($url, 0) !== true) 
		$errors .= '<li>Слишком длинный URL</li>';
	if ($v_obj->len_val($icq, 0, 10) !== true) 
		$errors .= '<li>ICQ не должно превышать 10 символов </li>';
	if ($v_obj->len_val($about, 0, 300) !== true) 
		$errors .= '<li>Поле "о себе" не должно превышать 300 символов</li>';
	if ($v_obj->len_val($signature, 0) !== true) 
		$errors .= '<li>Подпись не должна превышать 100 символов</li>';
	if (!empty($passw) && $v_obj->len_val($passw, 6, 32) !== true) 
		$errors .= '<li>Пароль слишком длинный/короткий. Он должен содержать 6-32 символа</li>';
	

	if ($locked != 1 && $locked != 0) $locked = 0;
	$status = (int)$status;	
	if ($status < 1) $status = 1;
	//if ($v_obj->uniq_val($_POST['name'], array('table' => 'users', 'field' => 'name')) != true) 
	//$errors .= '<li>Это имя уже занято :(</li>';
	
	if (!empty($errors)) {
		$_SESSION['edit_ank'] = array();
		$_SESSION['edit_ank']['errors'] = '<ul class="uz">' . $errors . '</ul>';
		foreach ($_POST as $key => $value) {
			$_SESSION['edit_ank'][$key] = trim($value);
		}
		redirect('/admin/users_list.php?ac=ank&id=' . $_GET['id']);
	}
	
	$data = array(
		'id' 		=> $_GET['id'],
		'name' 		=> $name,
		'state' 	=> $state,
		'email'	    => $email,
		'url' 		=> $url,
		'icq' 		=> $icq,
		'about' 	=> $about,
		'signature' => $signature,
		'locked'	=> $locked,
		'status' 	=> $status,
	);
	if (!empty($passw)) $data['passw'] = md5($passw);
	if (isset($_POST['activation'])) $data['activation'] = '';
	$FpsDB->save('users', $data);
			
	redirect('/admin/users_list.php?ac=ank&id=' . $_GET['id']);
}



?>

<?php
if (!empty($_SESSION['info_message'])):
?>
<script type="text/javascript">showHelpWin('<?php echo h($_SESSION['info_message']) ?>', 'Сообщение');</script>
<?php
	unset($_SESSION['info_message']);
endif;
?>