<?php
##################################################
##												##
## Author:       Andrey Brykin (Drunya)         ##
## Version:      1.2                            ##
## Project:      CMS                            ##
## package       CMS Fapos                      ##
## subpackege    Admin Panel module             ##
## copyright     ©Andrey Brykin 2010-2011       ##
##################################################


##################################################
##												##
## any partial or not partial extension         ##
## CMS Fapos,without the consent of the         ##
## author, is illegal                           ##
##################################################
## Любое распространение                        ##
## CMS Fapos или ее частей,                     ##
## без согласия автора, является не законным    ##
##################################################

include_once '../sys/boot.php';
include_once R . 'admin/inc/adm_boot.php';

 
$page_title = 'Пользователи';
$ACL = new ACL;
$group = (isset($_GET['group'])) ? (int)$_GET['group'] : 1;


if (isset($_POST['send']) && isset($_POST['group_id'])) {
	if (!empty($acl_rules)) {
		$acl_rules_ = $acl_rules;
		$id = (int)$_POST['group_id'];
		foreach ($acl_rules as $key => $value) {
			foreach ($value as $k => $v) {
				if (!empty($_POST[$key][$k])) {
					if (!in_array($id, $acl_rules_[$key][$k])) {
						$acl_rules_[$key][$k][] = $id;
					}
				} else {
					if (($offkey = array_search($id, $acl_rules_[$key][$k])) !== false) {
						unset($acl_rules_[$key][$k][$offkey]);
					}
				}
			}
		}
		$ACL->save_rules($acl_rules_);
		redirect('/admin/users_rules.php?group=' . $id);
	}
}


$head = file_get_contents('template/header.php');
$head = str_replace('{TITLE}', $page_title, $head);
$head = str_replace('{NAVIGATION}', $page_title, $head);
$head = str_replace('{NAVIGATIONL}', '<a href="users_groups.php">Редактор групп</a>', $head);
$footer = file_get_contents('template/footer.php');
$dp = new Document_Parser;



$groups = null;
if (!empty($acl_groups)) {
    foreach ($acl_groups as $key => $value) {
        if ($group == $key) {
            $groups .= '<option value="' . $key . '" selected="selected">' . h($value['title']) . '</option>';
        } else {
            $groups .= '<option value="' . $key . '">' . h($value['title']) . '</option>';
        }
    }
}
$groups = '<select name="group" onchange="var url = \'?group=\' + this.options[this.selectedIndex].value;if (/MSIE (\d+\.\d+);/.test(navigator.userAgent)){var referLink = document.createElement(\'a\');referLink.href = url;document.body.appendChild(referLink);referLink.click();} else {location.href = url;}">' . $groups . '</select>';



echo $head;
echo $groups;
?>
 
 



<form action="users_rules.php" method="POST">
<input type="hidden" value="<?php echo $group ?>" name="group_id" />
<table class="rules_tb">
	<tr><td colspan="2"><b> - Новости</b></td></tr>
	<tr>
		<td width="50%">
			Просмотр списка материалов
		</td>
		<td>
			<input name="news[view_list]" type="checkbox" value="1" <?php if ($ACL->turn(array('news', 'view_list'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td>
			Просмотр материала
		</td>
		<td>
			<input name="news[view_materials]" type="checkbox" value="1" <?php if ($ACL->turn(array('news', 'view_materials'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td>
			Добавление материалов
		</td>
		<td>
			<input name="news[add_materials]" type="checkbox" value="1" <?php if ($ACL->turn(array('news', 'add_materials'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td>
			Редактирование своих материалов
		</td>
		<td>
			<input name="news[edit_mine_materials]" type="checkbox" value="1" <?php if ($ACL->turn(array('news', 'edit_mine_materials'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td>
			Редактирование всех материалов
		</td>
		<td>
			<input name="news[edit_materials]" type="checkbox" value="1" <?php if ($ACL->turn(array('news', 'edit_materials'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td width="50%">
			Удаление своих материалов
		</td>
		<td>
			<input name="news[delete_mine_materials]" type="checkbox" value="1" <?php if ($ACL->turn(array('news', 'delete_mine_materials'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td width="50%">
			Удаление всех материалов
		</td>
		<td>
			<input name="news[delete_materials]" type="checkbox" value="1" <?php if ($ACL->turn(array('news', 'delete_materials'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td>
			Поднять материал в ТОП
		</td>
		<td>
			<input name="news[up_materials]" type="checkbox" value="1" <?php if ($ACL->turn(array('news', 'up_materials'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td>
			Размещение/снятие материала с главной
		</td>
		<td>
			<input name="news[on_home]" type="checkbox" value="1" <?php if ($ACL->turn(array('news', 'on_home'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td>
			Читать комментарии
		</td>
		<td>
			<input name="news[view_comments]" type="checkbox" value="1" <?php if ($ACL->turn(array('news', 'view_comments'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td>
			Оставлять комментарии
		</td>
		<td>
			<input name="news[add_comments]" type="checkbox" value="1" <?php if ($ACL->turn(array('news', 'add_comments'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td width="50%">
			Редактировать комментарии
		</td>
		<td>
			<input name="news[edit_comments]" type="checkbox" value="1" <?php if ($ACL->turn(array('news', 'edit_comments'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td width="50%">
			Удалять комментарии
		</td>
		<td>
			<input name="news[delete_comments]" type="checkbox" value="1" <?php if ($ACL->turn(array('news', 'delete_comments'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td width="50%">
			Вкл./Выкл. комментариев у конкретной записи
		</td>
		<td>
			<input name="news[record_comments_management]" type="checkbox" value="1" <?php if ($ACL->turn(array('news', 'record_comments_management'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td width="50%">
			Скрытие материала от пользователей
		</td>
		<td>
			<input name="news[hide_material]" type="checkbox" value="1" <?php if ($ACL->turn(array('news', 'hide_material'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	
	
	
	
	
	<tr><td colspan="2">&nbsp;</td></tr>
	<tr><td colspan="2"><b> - Статьи</b></td></tr>
	<!-- #################################################################################### -->
	<!-- СТАТЬИ  -->
	<!-- #################################################################################### -->
	<tr>
		<td width="50%">
			Просмотр списка материалов
		</td>
		<td>
			<input name="stat[view_list]" type="checkbox" value="1" <?php if ($ACL->turn(array('stat', 'view_list'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td>
			Просмотр материала
		</td>
		<td>
			<input name="stat[view_materials]" type="checkbox" value="1" <?php if ($ACL->turn(array('stat', 'view_materials'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td>
			Добавление материалов
		</td>
		<td>
			<input name="stat[add_materials]" type="checkbox" value="1" <?php if ($ACL->turn(array('stat', 'add_materials'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td>
			Редактирование своих материалов
		</td>
		<td>
			<input name="stat[edit_mine_materials]" type="checkbox" value="1" <?php if ($ACL->turn(array('stat', 'edit_mine_materials'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td>
			Редактирование всех материалов
		</td>
		<td>
			<input name="stat[edit_materials]" type="checkbox" value="1" <?php if ($ACL->turn(array('stat', 'edit_materials'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td width="50%">
			Удаление своих материалов
		</td>
		<td>
			<input name="stat[delete_mine_materials]" type="checkbox" value="1" <?php if ($ACL->turn(array('stat', 'delete_mine_materials'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td width="50%">
			Удаление всех материалов
		</td>
		<td>
			<input name="stat[delete_materials]" type="checkbox" value="1" <?php if ($ACL->turn(array('stat', 'delete_materials'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td>
			Поднять материал в ТОП
		</td>
		<td>
			<input name="stat[up_materials]" type="checkbox" value="1" <?php if ($ACL->turn(array('stat', 'up_materials'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td>
			Размещение/снятие материала с главной
		</td>
		<td>
			<input name="stat[on_home]" type="checkbox" value="1" <?php if ($ACL->turn(array('stat', 'on_home'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td>
			Читать комментарии
		</td>
		<td>
			<input name="stat[view_comments]" type="checkbox" value="1" <?php if ($ACL->turn(array('stat', 'view_comments'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td>
			Оставлять комментарии
		</td>
		<td>
			<input name="stat[add_comments]" type="checkbox" value="1" <?php if ($ACL->turn(array('stat', 'add_comments'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td width="50%">
			Редактировать комментарии
		</td>
		<td>
			<input name="stat[edit_comments]" type="checkbox" value="1" <?php if ($ACL->turn(array('stat', 'edit_comments'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td width="50%">
			Удалять комментарии
		</td>
		<td>
			<input name="stat[delete_comments]" type="checkbox" value="1" <?php if ($ACL->turn(array('stat', 'delete_comments'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td width="50%">
			Вкл./Выкл. комментариев у конкретной записи
		</td>
		<td>
			<input name="stat[record_comments_management]" type="checkbox" value="1" <?php if ($ACL->turn(array('stat', 'record_comments_management'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td width="50%">
			Скрытие материала от пользователей
		</td>
		<td>
			<input name="stat[hide_material]" type="checkbox" value="1" <?php if ($ACL->turn(array('stat', 'hide_material'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	
	
	
	
	<tr><td colspan="2">&nbsp;</td></tr>
	<tr><td colspan="2"><b> - Загрузки</b></td></tr>
	<!-- #################################################################################### -->
	<!-- LOADS  -->
	<!-- #################################################################################### -->
	<tr>
		<td width="50%">
			Просмотр списка материалов
		</td>
		<td>
			<input name="loads[view_list]" type="checkbox" value="1" <?php if ($ACL->turn(array('loads', 'view_list'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td>
			Просмотр материала
		</td>
		<td>
			<input name="loads[view_materials]" type="checkbox" value="1" <?php if ($ACL->turn(array('loads', 'view_materials'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td>
			Добавление материалов
		</td>
		<td>
			<input name="loads[add_materials]" type="checkbox" value="1" <?php if ($ACL->turn(array('loads', 'add_materials'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td>
			Редактирование своих материалов
		</td>
		<td>
			<input name="loads[edit_mine_materials]" type="checkbox" value="1" <?php if ($ACL->turn(array('loads', 'edit_mine_materials'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td>
			Редактирование всех материалов
		</td>
		<td>
			<input name="loads[edit_materials]" type="checkbox" value="1" <?php if ($ACL->turn(array('loads', 'edit_materials'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td width="50%">
			Удаление своих материалов
		</td>
		<td>
			<input name="loads[delete_mine_materials]" type="checkbox" value="1" <?php if ($ACL->turn(array('loads', 'delete_mine_materials'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td width="50%">
			Удаление всех материалов
		</td>
		<td>
			<input name="loads[delete_materials]" type="checkbox" value="1" <?php if ($ACL->turn(array('loads', 'delete_materials'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td>
			Поднять материал в ТОП
		</td>
		<td>
			<input name="loads[up_materials]" type="checkbox" value="1" <?php if ($ACL->turn(array('loads', 'up_materials'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td>
			Размещение/снятие материала с главной
		</td>
		<td>
			<input name="loads[on_home]" type="checkbox" value="1" <?php if ($ACL->turn(array('loads', 'on_home'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td>
			Читать комментарии
		</td>
		<td>
			<input name="loads[view_comments]" type="checkbox" value="1" <?php if ($ACL->turn(array('loads', 'view_comments'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td>
			Оставлять комментарии
		</td>
		<td>
			<input name="loads[add_comments]" type="checkbox" value="1" <?php if ($ACL->turn(array('loads', 'add_comments'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td width="50%">
			Редактировать комментарии
		</td>
		<td>
			<input name="loads[edit_comments]" type="checkbox" value="1" <?php if ($ACL->turn(array('loads', 'edit_comments'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td width="50%">
			Удалять комментарии
		</td>
		<td>
			<input name="loads[delete_comments]" type="checkbox" value="1" <?php if ($ACL->turn(array('loads', 'delete_comments'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td width="50%">
			Вкл./Выкл. комментариев у конкретной записи
		</td>
		<td>
			<input name="loads[record_comments_management]" type="checkbox" value="1" <?php if ($ACL->turn(array('loads', 'record_comments_management'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td width="50%">
			Скрытие материала от пользователей
		</td>
		<td>
			<input name="loads[hide_material]" type="checkbox" value="1" <?php if ($ACL->turn(array('loads', 'hide_material'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	
	
	
	
	<tr><td colspan="2">&nbsp;</td></tr>
	<tr><td colspan="2"><b> - Фотокаталог</b></td></tr>
	<!-- #################################################################################### -->
	<!-- FOTO  -->
	<!-- #################################################################################### -->
	<tr>
		<td width="50%">
			Просмотр списка материалов
		</td>
		<td>
			<input name="foto[view_list]" type="checkbox" value="1" <?php if ($ACL->turn(array('foto', 'view_list'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td>
			Просмотр материала
		</td>
		<td>
			<input name="foto[view_materials]" type="checkbox" value="1" <?php if ($ACL->turn(array('foto', 'view_materials'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td>
			Добавление материалов
		</td>
		<td>
			<input name="foto[add_materials]" type="checkbox" value="1" <?php if ($ACL->turn(array('foto', 'add_materials'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td>
			Редактирование своих материалов
		</td>
		<td>
			<input name="foto[edit_mine_materials]" type="checkbox" value="1" <?php if ($ACL->turn(array('foto', 'edit_mine_materials'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td>
			Редактирование всех материалов
		</td>
		<td>
			<input name="foto[edit_materials]" type="checkbox" value="1" <?php if ($ACL->turn(array('foto', 'edit_materials'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td width="50%">
			Удаление своих материалов
		</td>
		<td>
			<input name="foto[delete_mine_materials]" type="checkbox" value="1" <?php if ($ACL->turn(array('foto', 'delete_mine_materials'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td width="50%">
			Удаление всех материалов
		</td>
		<td>
			<input name="foto[delete_materials]" type="checkbox" value="1" <?php if ($ACL->turn(array('foto', 'delete_materials'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td>
			Поднять материал в ТОП
		</td>
		<td>
			<input name="foto[up_materials]" type="checkbox" value="1" <?php if ($ACL->turn(array('foto', 'up_materials'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td>
			Размещение/снятие материала с главной
		</td>
		<td>
			<input name="foto[on_home]" type="checkbox" value="1" <?php if ($ACL->turn(array('foto', 'on_home'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td>
			Читать комментарии
		</td>
		<td>
			<input name="foto[view_comments]" type="checkbox" value="1" <?php if ($ACL->turn(array('foto', 'view_comments'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td>
			Оставлять комментарии
		</td>
		<td>
			<input name="foto[add_comments]" type="checkbox" value="1" <?php if ($ACL->turn(array('foto', 'add_comments'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td width="50%">
			Редактировать комментарии
		</td>
		<td>
			<input name="foto[edit_comments]" type="checkbox" value="1" <?php if ($ACL->turn(array('foto', 'edit_comments'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td width="50%">
			Удалять комментарии
		</td>
		<td>
			<input name="foto[delete_comments]" type="checkbox" value="1" <?php if ($ACL->turn(array('foto', 'delete_comments'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	
	
	<tr><td colspan="2">&nbsp;</td></tr>
	<tr><td colspan="2"><b> - Пользователи</b></td></tr>
	<!-- #################################################################################### -->
	<!-- USERS  -->
	<!-- #################################################################################### -->
	<tr>
		<td width="50%">
			Просмотр списка пользователей
		</td>
		<td>
			<input name="users[view_list]" type="checkbox" value="1" <?php if ($ACL->turn(array('users', 'view_list'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td>
			Просмотр профиля
		</td>
		<td>
			<input name="users[view_users]" type="checkbox" value="1" <?php if ($ACL->turn(array('users', 'view_users'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td>
			Редактирование данных пользователей
		</td>
		<td>
			<input name="users[edit_users]" type="checkbox" value="1" <?php if ($ACL->turn(array('users', 'edit_users'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td>
			Редактирование своих данных
		</td>
		<td>
			<input name="users[edit_mine]" type="checkbox" value="1" <?php if ($ACL->turn(array('users', 'edit_mine'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td>
			Блокировка пользователей
		</td>
		<td>
			<input name="users[ban_users]" type="checkbox" value="1" <?php if ($ACL->turn(array('users', 'ban_users'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td>
			Изменение рейтинга пользователей
		</td>
		<td>
			<input name="users[set_rating]" type="checkbox" value="1" <?php if ($ACL->turn(array('users', 'set_rating'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td>
			Удаление голосов(рейтинг)
		</td>
		<td>
			<input name="users[delete_rating_comments]" type="checkbox" value="1" <?php if ($ACL->turn(array('users', 'delete_rating_comments'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<!--############## BB CODES ########################### -->
	<tr><td colspan="2"><b> - BB Codes (в подписи)</b></td></tr>
	<tr>
		<td>
			[s] - зачеркнутый текст
		</td>
		<td>
			<input name="users[bb_s]" type="checkbox" value="1" <?php if ($ACL->turn(array('users', 'bb_s'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td>
			[u] - подчеркнутый текст
		</td>
		<td>
			<input name="users[bb_u]" type="checkbox" value="1" <?php if ($ACL->turn(array('users', 'bb_u'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td>
			[b] - жирный текст
		</td>
		<td>
			<input name="users[bb_b]" type="checkbox" value="1" <?php if ($ACL->turn(array('users', 'bb_b'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td>
			[i] - наклонный текст
		</td>
		<td>
			<input name="users[bb_i]" type="checkbox" value="1" <?php if ($ACL->turn(array('users', 'bb_i'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td>
			[url] - ссылки
		</td>
		<td>
			<input name="users[bb_url]" type="checkbox" value="1" <?php if ($ACL->turn(array('users', 'bb_url'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td>
			[img] - картинки
		</td>
		<td>
			<input name="users[bb_img]" type="checkbox" value="1" <?php if ($ACL->turn(array('users', 'bb_img'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td>
			Разрешить HTML
		</td>
		<td>
			<input name="users[html]" type="checkbox" value="1" <?php if ($ACL->turn(array('users', 'html'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<!--############## END BB CODES ########################### -->
	
	

	
	
	<tr><td colspan="2">&nbsp;</td></tr>
	<tr><td colspan="2"><b> - Форум</b></td></tr>
	<!-- #################################################################################### -->
	<!-- FORUM -->
	<!-- #################################################################################### -->
	<tr>
		<td width="50%">
			Просмотр списка форумов
		</td>
		<td>
			<input name="forum[view_forums_list]" type="checkbox" value="1" <?php if ($ACL->turn(array('forum', 'view_forums_list'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td>
			Просмотр форумов(список тем)
		</td>
		<td>
			<input name="forum[view_forums]" type="checkbox" value="1" <?php if ($ACL->turn(array('forum', 'view_forums'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td>
			Просмотр тем
		</td>
		<td>
			<input name="forum[view_themes]" type="checkbox" value="1" <?php if ($ACL->turn(array('forum', 'view_themes'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td>
			Добавление тем
		</td>
		<td>
			<input name="forum[add_themes]" type="checkbox" value="1" <?php if ($ACL->turn(array('forum', 'add_themes'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td>
			Редактирование тем
		</td>
		<td>
			<input name="forum[edit_themes]" type="checkbox" value="1" <?php if ($ACL->turn(array('forum', 'edit_themes'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td width="50%">
			Редактирование своих тем
		</td>
		<td>
			<input name="forum[edit_mine_themes]" type="checkbox" value="1" <?php if ($ACL->turn(array('forum', 'edit_mine_themes'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td width="50%">
			Удаление тем
		</td>
		<td>
			<input name="forum[delete_themes]" type="checkbox" value="1" <?php if ($ACL->turn(array('forum', 'delete_themes'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td>
			Удаление своих тем
		</td>
		<td>
			<input name="forum[delete_mine_themes]" type="checkbox" value="1" <?php if ($ACL->turn(array('forum', 'delete_mine_themes'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td>
			Закрытие/открытие тем
		</td>
		<td>
			<input name="forum[close_themes]" type="checkbox" value="1" <?php if ($ACL->turn(array('forum', 'close_themes'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td>
			Присваивать статус "важно/не важно"
		</td>
		<td>
			<input name="forum[important_themes]" type="checkbox" value="1" <?php if ($ACL->turn(array('forum', 'important_themes'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td>
			Добавление ответов
		</td>
		<td>
			<input name="forum[add_posts]" type="checkbox" value="1" <?php if ($ACL->turn(array('forum', 'add_posts'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td width="50%">
			Редактировать посты
		</td>
		<td>
			<input name="forum[edit_posts]" type="checkbox" value="1" <?php if ($ACL->turn(array('forum', 'edit_posts'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td width="50%">
			Редактировать свои посты
		</td>
		<td>
			<input name="forum[edit_mine_posts]" type="checkbox" value="1" <?php if ($ACL->turn(array('forum', 'edit_mine_posts'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td width="50%">
			Удалять посты
		</td>
		<td>
			<input name="forum[delete_posts]" type="checkbox" value="1" <?php if ($ACL->turn(array('forum', 'delete_posts'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td width="50%">
			Удалять свои посты
		</td>
		<td>
			<input name="forum[delete_mine_posts]" type="checkbox" value="1" <?php if ($ACL->turn(array('forum', 'delete_mine_posts'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td width="50%">
			Добавить форум
		</td>
		<td>
			<input name="forum[add_forums]" type="checkbox" value="1" <?php if ($ACL->turn(array('forum', 'add_forums'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td width="50%">
			Редактировать форум
		</td>
		<td>
			<input name="forum[edit_forums]" type="checkbox" value="1" <?php if ($ACL->turn(array('forum', 'edit_forums'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td width="50%">
			Удалять форумы
		</td>
		<td>
			<input name="forum[delete_forums]" type="checkbox" value="1" <?php if ($ACL->turn(array('forum', 'delete_forums'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td width="50%">
			Сортировать форумы
		</td>
		<td>
			<input name="forum[replace_forums]" type="checkbox" value="1" <?php if ($ACL->turn(array('forum', 'replace_forums'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	
	
	
	
	
	
	<tr><td colspan="2">&nbsp;</td></tr>
	<tr><td colspan="2"><b> - Чат</b></td></tr>
	<!-- #################################################################################### -->
	<!-- CHAT -->
	<!-- #################################################################################### -->
	<tr>
		<td>
			Писать в чат
		</td>
		<td>
			<input name="chat[add_materials]" type="checkbox" value="1" <?php if ($ACL->turn(array('chat', 'add_materials'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td>
			Чистить чат
			<span class="comment">*А также смотреть IP писавшего</span>
		</td>
		<td>
			<input name="chat[delete_materials]" type="checkbox" value="1" <?php if ($ACL->turn(array('chat', 'delete_materials'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>

	
	
	
	
	
	
	<tr><td colspan="2">&nbsp;</td></tr>
	<tr><td colspan="2"><b> - Админка</b></td></tr>
	<!-- #################################################################################### -->
	<!-- ADMIN -->
	<!-- #################################################################################### -->
	<tr>
		<td width="50%">
			Вход в админ панель
		</td>
		<td>
			<input name="panel[entry]" type="checkbox" value="1" <?php if ($ACL->turn(array('panel', 'entry'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	
	
	
	<tr><td colspan="2">&nbsp;</td></tr>
	<tr><td colspan="2"><b> - Общее</b></td></tr>
	<!-- #################################################################################### -->
	<!-- OTHER -->
	<!-- #################################################################################### -->
	<tr>
		<td width="50%">
			Видеть скрытые материалы
		</td>
		<td>
			<input name="other[can_see_hidden]" type="checkbox" value="1" <?php if ($ACL->turn(array('other', 'can_see_hidden'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	<tr>
		<td width="50%">
			Не показывать каптчу
		</td>
		<td>
			<input name="other[no_captcha]" type="checkbox" value="1" <?php if ($ACL->turn(array('other', 'no_captcha'), false, $group)) echo 'checked="checked"' ?> />
		</td>
	</tr>
	
	
	
	
	<tr>
		<td align="center" colspan="2">
			<input name="send" type="submit" value="Сохранить"  />
		</td>
	</tr>
</table>
</form>


<?php echo $footer ?>