<?php
##################################################
##												##
## Author:       Andrey Brykin (Drunya)         ##
## Version:      0.7                            ##
## Project:      CMS                            ##
## package       CMS Fapos                      ##
## subpackege    Settings library               ##
## copyright     Andrey Brykin 2010-2011       ##
##################################################


##################################################
##												##
## any partial or not partial extension         ##
## CMS Fapos,without the consent of the         ##
## author, is illegal                           ##
##################################################
##                          ##
## CMS Fapos   ,                     ##
##   ,       ##
##################################################



function get_set($setting, $modul = null) {
	if (empty($setting)) return false;
	
	if ($fset = @file_get_contents(R . 'sys/settings/settings.dat')) {
		$set = unserialize($fset);
		if ($setting == 'all') return $set;
		if (isset($modul) && isset($set[$modul][$setting])) {
			return $set[$modul][$setting];
		} elseif (isset($set[$setting])) {
			return $set[$setting];
		}
	}
	
	if ($fset = @file_get_contents(R . 'sys/settings/default_settings.dat')) {
		$set = unserialize($fset);
		if (isset($modul) && isset($set[$modul][$setting])) {
			return $set[$modul][$setting];
		} elseif (isset($set[$setting])) {
			return $set[$setting];
		}
	} 
	
	//die('No detected configuration file for ' . $setting);
	return false;
	
}



?>