<?php
##################################################
##												##
## Author:       Andrey Brykin (Drunya)         ##
## Version:      0.7                            ##
## Project:      CMS                            ##
## package       CMS Fapos                      ##
## subpackege    Validate library               ##
## copyright     ©Andrey Brykin 2010-2011       ##
##################################################


##################################################
##												##
## any partial or not partial extension         ##
## CMS Fapos,without the consent of the         ##
## author, is illegal                           ##
##################################################
## Любое распространение                        ##
## CMS Fapos или ее частей,                     ##
## без согласия автора, является не законным    ##
##################################################


define ('V_TITLE', '#^[A-ZА-Яа-яa-z0-9\s-\(\),\._\?\!\w\d\{\} ]+$#ui');
define ('V_INT', '#^\d+$#i');
define ('V_TEXT', '#^[\wA-ZА-Яа-яa-z0-9\s\-\(\):;\[\]\+!\.,&\?/\{\}="\']*$#uim');
define ('V_MAIL', '#^[0-9a-z_\-\.]+@[0-9a-z\-\.]+\.[a-z]{2,6}$#i');
define ('V_URL', '#^(http:\/\/)?(www.)?[-0-9a-z\.]+\.[a-z]{2,6}\/?$#i');
define ('V_CAPTCHA', '#^[23456789abcdeghkmnpqsuvxyz]+$#i');
define ('V_LOGIN', '#^[- _0-9a-zА-Яа-я@]+$#ui');

class Validate {
	
	
	public function cha_val ($data, $filter = '#^\w*$#Uim') {
		if (!preg_match($filter, $data)) return false;
		else return true;
	}
	
	
	public function len_val ($data, $min = 1, $max = 100) {
	
		if (mb_strlen($data) > $max) return 'Текст слишком велик';
		elseif (mb_strlen($data) < $min) return 'Текст слишком короткий';
		
		return true;
	}
	
	
	//find similar records from  $sourse (< array(table, field) >)
	// TODO || Delete
	public function uniq_val($data, $sourse, $type = 'low') {
	
		if ($type == 'hight') {
			//array with russian letters
			$rus = array( "А","а","В","Е","е","К","М","Н","О","о","Р","р","С","с","Т","Х","х" );
			// array with latinic letters
			$eng = array( "A","a","B","E","e","K","M","H","O","o","P","p","C","c","T","X","x" );
			// change russian to latinic
			$eng_new_data = str_replace($rus, $eng, $data);
			// change latinic to russian
			$rus_new_data = str_replace($eng, $rus, $data);
			
			// create SQL query
			$sql = "SELECT * FROM `{$sourse['table']}`
					WHERE `{$sourse['field']}` LIKE '".mysql_real_escape_string( $data )."' OR
					`{$sourse['field']}` LIKE '".mysql_real_escape_string( $eng_new_data )."' OR
					`{$sourse['field']}` LIKE '".mysql_real_escape_string( $rus_new_data )."'";
		  
		} else { //security level not hight...
		
			$sql = "SELECT COUNT(*) 
					FROM `{$sourse['table']}`  
					WHERE `{$sourse['field']}` LIKE '" . mysql_real_escape_string($data) . "'";
					
		}
		$query = mysql_query($sql);

		return (mysql_num_rows($query) > 0) ? false : true;
	}
	
}

?>