<?php
##################################################
##												##
## Author:       Andrey Brykin (Drunya)         ##
## Version:      0.8                            ##
## Project:      CMS                            ##
## package       CMS Fapos                      ##
## subpackege    Watermark library              ##
## copyright     ©Andrey Brykin 2010-2011       ##
##################################################


##################################################
##												##
## any partial or not partial extension         ##
## CMS Fapos,without the consent of the         ##
## author, is illegal                           ##
##################################################
## Любое распространение                        ##
## CMS Fapos или ее частей,                     ##
## без согласия автора, является не законным    ##
##################################################


function createWaterMark($original, $dest, $pos = 'center') { 
	$original = urldecode($original);
	$info_o = @getImageSize($original); 
	if (!$info_o) 
		return false; 
	$info_w = @getImageSize($watermark); 
	if (!$info_w) 
		return false; 
	
	if ($pos == 'center') { 
		$x = ($info_o[0] - $info_w[0]) / 2;
		$y = ($info_o[1] - $info_w[1]) / 2;
	} else {
		$x = $info_o[0] - $info_w[0] - 5;
		$y = $info_o[1] - $info_w[1] - 5;
	}
		//echo $x . '>>'; echo $y; die(); 
	
	header("Content-Type: ".$info_o['mime']); 
 
	$original = @imageCreateFromString(file_get_contents($original)); 
	$watermark = @imageCreateFromString(file_get_contents($watermark)); 
	$out = imageCreateTrueColor($info_o[0],$info_o[1]); 
 
	imageCopy($out, $original, 0, 0, 0, 0, $info_o[0], $info_o[1]); 
	if( ($info_o[0] > 250) && ($info_o[1] > 250) ) {
		imageCopy($out, $watermark, $x, $y, 0, 0, $info_w[0], $info_w[1]);
	}

	switch ($info_o[2]) { 
		case 1: 
			imageGIF($out); 
			break; 
		case 2: 
			imageJPEG($out); 
			break; 
		case 3: 
			imagePNG($out); 
			break; 
	} 

	imageDestroy($out); 
	imageDestroy($original); 
	imageDestroy($watermark); 

	return true; 
} 

?>