<?php
##################################################
##												##
## Author:       Andrey Brykin (Drunya)         ##
## Version:      0.7                            ##
## Project:      CMS                            ##
## package       CMS Fapos                      ##
## subpackege    Config class                   ##
## copyright     ©Andrey Brykin 2010-2011       ##
##################################################


##################################################
##												##
## any partial or not partial extension         ##
## CMS Fapos,without the consent of the         ##
## author, is illegal                           ##
##################################################
## Любое распространение                        ##
## CMS Fapos или ее частей,                     ##
## без согласия автора, является не законным    ##
##################################################

include_once R . 'sys/settings/config.php';
/**
* Uses for read | write | clean settings
*
* @author     Andrey Brykin
* @version    0.2
* @link       http://cms.develdo.com
*/
class Config {

	
	
	/**
	* writing settings
	*
	* @param string $set - settings for save
	*/
	public function write($set) {
		if ($fopen=@fopen(R . 'sys/settings/config.php', 'w')) {
			@fputs($fopen, '<?php ' . "\n" . '$set = ' . var_export($set, true) . "\n" . '?>');
			@fclose($fopen);
			return true;
		}
		else
			return false;
	}
	
	
	/**
	* read settings
	*
	* @param string $title - title of setting
	* @param string $module - parent module of setting
	*/
	public function read($title, $module = null) {
		global $set;
		if ($title == 'all') return $set;

		if (!empty($module)) {
			if (isset($set[$module][$title])) return $set[$module][$title];
		} else {
			if (isset($set[$title])) return $set[$title];
		}
		return null;
	}
	
}

?>