<?php
//turn access
$this->ACL->turn(array($this->module, 'edit_comments'));
if (empty($id)) {
	redirect($this->module);
}
$id = (int)$id;
if ($id < 1) {
	redirect($this->module);
}

/* cut and trim variables */
$message   = mb_substr( $_POST['message'], 0, Config::read('comment_lenght', $this->module));
$message   = trim( $message );

// Check fields
$error = '';
if (empty($message))                 		
	$error = $error.'<li>' . __('Empty field "text"') . '</li>'."\n";

/* if an error */
if (!empty( $error )) {
	$_SESSION['editCommentForm'] = array();
	$_SESSION['editCommentForm']['error'] = '<p class="errorMsg">' . __('Some error in form') . '</p>'
		."\n".'<ul class="errorMsg">'."\n".$error.'</ul>'."\n";
	$_SESSION['editCommentForm']['message'] = $message;
	redirect('/' . $this->module . '/edit_comment_form/' . $id );
}
$comment = $this->DB->select($this->module . '_comments', DB_FIRST, array('cond' => array('id' => $id)));

//remove cache
$this->Cache->clean(CACHE_MATCHING_TAG, array('module_' . $this->module, 'record_id_' . $comment[0]['entity_id']));
$this->DB->cleanSqlCache();
// Запрос на обновление новости
$res = $this->DB->save($this->module . '_comments', array(
	'message' => $message,
	'id' => $id,
));

if ($this->Log) $this->Log->write('editing comment for ' . $this->module, $this->module . ' id(' . $comment[0]['entity_id'] . '), comment id(' . $id . ')');
return showInfoMessage(__('Operation is successful'), '/' . $this->module . '/view/' . $comment[0]['entity_id'] );
?>